<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Admin_home extends CI_Controller
{

  public function __construct()
  {
    parent::__construct();

    if ($this->session->userdata('prosc_user') == '')
      redirect(base_url(), 'refresh');

    $this->load->model('dashboard_model');
  }

  public function index()
  {
    if ($this->session->userdata('prosc_admin') === true)
      $this->pager();
    else $this->pagerX();
  }

  // ipanel url method up load
  public function pager()
  {
    if ($this->input->get('chart_toggle')) return $this->chart();
    $totals = $this->dashboard_model->_get_total() ?: 0;
    $sales  = $this->dashboard_model->_get_sales() ?: 0;
    $supply = $this->dashboard_model->_get_supply() ?: 0;
    $staff_sales = $this->dashboard_model->_get_staff_sales() ?: [];
    $expenses = $this->dashboard_model->_get_expenses() ?: 0;
    $pending  = $this->dashboard_model->_get_orders('0');
    $approved = $this->dashboard_model->_get_orders('1');
    $declined = $this->dashboard_model->_get_orders('2');
    $clients = $this->dashboard_model->_get_clients() ?: [];
    $outlets = $this->dashboard_model->_get_outlets() ?: [];
    $orders = $this->dashboard_model->_get_orders('all') ?: [];
    $currency = $this->dashboard_model->_get_currency() ?: "";
    $this->load->view('default', [
      'page'     => 'dashboard',
      'totals'   => json_encode($totals),
      'sales'    => json_encode($sales),
      'supply'   => json_encode($supply),
      'expenses' => json_encode($expenses),
      'pending'  => $pending,
      'approved' => $approved,
      'declined' => $declined,
      'orders'   => $orders,
      'outlets'  => $outlets,
      'clients'  => $clients,
      'staff_sales'  => $staff_sales,
      'currency'  => $currency
    ]);
  }

  public function pagerX()
  {
    if ($this->input->get('chart_toggle')) return $this->chart();
    $totals = $this->dashboard_model->_get_total() ?: 0;
    $sales  = $this->dashboard_model->_get_sales() ?: 0;
    $recents = $this->dashboard_model->_get_recent_sales();
    $expenses = $this->dashboard_model->_get_expenses() ?: 0;
    $pending  = $this->dashboard_model->_get_orders('0');
    $clients = $this->dashboard_model->_get_clients() ?: [];
    $outletX = $this->dashboard_model->_get_outletX($this->session->userdata('prosc_warehouse'));
    // $outlets = $this->dashboard_model->_get_outlets() ?: [];
    $orders = $this->dashboard_model->_get_sales_orders() ?: [];
    $currency = $this->dashboard_model->_get_currency() ?: "";
    $this->load->view('default', [
      'page'     => 'dashboard_staff',
      'totals'   => json_encode($totals),
      'sales'    => json_encode($sales),
      'recent'   => $recents,
      'expenses' => json_encode($expenses),
      'items'    => $this->dashboard_model->_get_items(),
      'pending'  => $pending,
      'outletX'   => $outletX,
      'orders'   => $orders,
      'clients'  => $clients,
      'currency'  => $currency
    ]);
  }

  function chart()
  {
    $_SESSION['chart_toggle'] = ($this->input->get('chart_toggle') == 'yearly') ?  "yearly" : "monthly";
    echo json_encode(['status' => 'success', 'message' => '']);
  }
}
