<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Dispatch_control extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();

        if ($this->session->userdata('prosc_warehouse') == "")
            redirect(base_url(), 'refresh');

        $this->load->model('dispatch_model');
        $this->load->model('shipping_settings_model');
    }

    public function index()
    {
        $this->pager();
    }

    function pager($tmp = '')
    {
        $data =  [];
        $checkedVoucher =  $this->input->get('voucher');
        $name = $this->input->get('driver');
        $phone = $this->input->get('number');
        $state =   $this->input->get('state');


        if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
        $verifySalesItems = $this->dispatch_model->_get_verifyItem(['voucher' => $checkedVoucher, 'waybill' => ''], 'er_sales');
        if ($verifySalesItems) {
            $data = $verifySalesItems;
        } else {
            $verifySupplyItems = $this->dispatch_model->_get_verifyItem(['voucher' => $checkedVoucher, 'waybill' => ''], 'er_supply');
            $data = $verifySupplyItems;
        }

        $currency = $this->shipping_settings_model->_get_currency() ?: "";

        $items = $this->dispatch_model->_get_items() ?: [];

        $country = $this->shipping_settings_model->_get_country();

        if ($country->value === 'Nigeria') {
            $states = $this->shipping_settings_model->_get_nigeria() ?: [];
        } else {
            $states = $this->shipping_settings_model->_get_uk() ?: [];
        }

        if ($tmp == '') $this->load->view('default', ['page' => 'dispatch', 'data' => $data, 'is_sales' => $verifySalesItems, 'checkedVoucher' =>  $checkedVoucher, 'currency' => $currency, 'states' => $states, 'items' => $items, 'name' => $name, 'phone' => $phone, 'state' => $state, 'tmp' => $tmp]);
        else return $this->load->view("admin/dispatch", ['data' => $data, 'checkedVoucher' =>  $checkedVoucher, 'is_sales' => $verifySalesItems, 'currency' => $currency, 'states' => $states, 'name' => $name, 'phone' => $phone, 'state' => $state, 'items' => $items, 'tmp' => $tmp], true);
    }


    function check()
    {
        $checkedVoucher = $this->input->post('voucher');
        $name = trim($this->input->post('driver'));
        $phone = trim($this->input->post('phone'));
        $state = trim($this->input->post('state'));

        if (empty($checkedVoucher)) {
            return 'Operation failed! No order is selected';
        }

        if ($name == '' || $phone == '' || $state == '') {
            return 'Operation failed! Please fill in all fields';
        }

        if (!ctype_alpha(str_replace(' ', '', $name))) {
            return 'Driver name is invalid';
        }

        if (!is_numeric($phone) || strlen($phone) != 11) {
            return 'Phone number must be 11 digits';
        }

        $data = [
            'voucher' => $checkedVoucher,
            'name' => $name,
            'phone' => $phone,
            'state' => $state
        ];

        return $data;
    }


    function open()
    {
        $data = $this->check();
        if (!$data) exit(json_encode(['status' => 'error', 'message' => 'Fill in all fields']));
        if (!is_array($data)) exit(json_encode(['status' => 'error', 'message' => $data]));

        echo (json_encode(['status' => 'success', 'message' => base_url("ipanel/dispatch.aspx?driver=" . $data['name'] . "&number=" . $data['phone'] . "&state=" . $data['state'] . "&voucher=" . $data['voucher'])]));
    }
}
