<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Order_details_control extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();

        if ($this->session->userdata('prosc_type') == 2)
            redirect(base_url(), 'refresh');
        $this->load->model('order_details_model');
        $this->load->helper('url');
    }

    public function index()
    {
        $this->pager();
    }

    function pager($tmp = '')
    {
        if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
        $target = trim($this->input->get('target'));
        $suggestions = array();
        $all_sales = $this->order_details_model->_get_sales([], true) ?: [];
        $order = $this->order_details_model->_get_sales(['token' => $target]);

        if (count($all_sales) > 0) {
            foreach ($all_sales as $item) {
                if ($item['customer'] == $order->customer) {
                    array_push($suggestions, $item);
                }
            }
        }
        $customers = $this->order_details_model->_get_customers() ?: [];
        $items = $this->order_details_model->_get_items() ?: [];

        if ($tmp == '') $this->load->view('default', ['page' => 'order_details', 'order' => $order, 'data' => $suggestions, 'items' => $items, 'customers' => $customers,  'tmp' => $tmp]);
        else return $this->load->view('admin/order_details', ['data' => $suggestions, 'order' => $order, 'items' => $items, 'customers' => $customers, 'tmp' => $tmp], true);
    }


    function update()
    {
        $target = trim($this->input->get('target'));
        $status   = trim($this->input->post('status'));
        if ($status == '') exit(json_encode(['status' => 'error', 'message' => 'Please select an order status']));
        $item = $this->order_details_model->_get(['token' => $target]);
        if (!$this->order_details_model->_put_status($status, $target, $item->item)) exit(json_encode(['status' => 'error', 'message' => 'An error has occured. <br />Please refresh and try again']));
        echo (json_encode(['status' => 'success', 'message' => base_url("ipanel/order_details.aspx?target=" . $target)]));
    }

    function delete()
    {
        $target = trim($this->input->get('token'));
        if (!$this->order_details_model->_get(['token' => $target])) exit(json_encode(['status' => 'error', 'message' => 'A fatal error has occured. <br />Please refresh and try again']));
        $this->order_details_model->_drop($target);
        echo (json_encode(['status' => 'success', 'message' => $this->pager('dump')]));
    }

    function popup()
    {
        if (!$this->input->is_ajax_request()) {
            $pagedata['heading'] = 'Hold on!';
            $pagedata['message'] = 'The page you tried to reach, restricts direct access.';
            $this->load->view('errors/html/error_404', $pagedata);
        }
        $target = $this->input->get('token');
        $data = ['data' => ''];
        $file = $this->order_details_model->_get(['token' => $target]);
        if ($file) $data['data'] = $file;
        $this->load->view('popups/admin/order_detail', $data);
    }
}
