<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Preferences_control extends CI_Controller
{

  public function __construct()
  {
    parent::__construct();

    if ($this->session->userdata('prosc_user') == null)
      redirect(base_url(), 'refresh');

    $this->load->model('preferences_model');
  }

  public function index()
  {
    $title   = $this->preferences_model->_get('title');
    $vat     = $this->preferences_model->_get('vat');
    $phone   = $this->preferences_model->_get('phone');
    $currency   = $this->preferences_model->_get('currency');
    $country   = $this->preferences_model->_get('country');
    $address = $this->preferences_model->_get('address');
    $this->load->view('default', ['page' => 'preferences', 'vat' => $vat, 'phone' => $phone, 'currency' => $currency, 'country' => $country, 'title' => $title, 'address' => $address]);
  }

  function update()
  {
    $action = $this->input->get('target');
    if (!in_array($action, ['logo', 'settings'])) redirect(base_url('not_found.aspx'), 'refresh');

    return $this->$action();
  }

  function settings()
  {
    $vat = trim($this->input->post('vat'));
    $phone = trim($this->input->post('phone'));
    $title = trim($this->input->post('title'));
    $currency = trim($this->input->post('currency'));
    $country = trim($this->input->post('country'));
    $address = trim($this->input->post('address'));

    if ($vat == '' or $phone == '' or $title == '' or $address == '' or $currency == '' or $country == '') exit(json_encode(['status' => 'error', 'message' => 'Fill in all fields']));
    if (is_numeric($title))  exit(json_encode(['status' => 'error', 'message' => 'Company Subtitle cannot be a number']));
    if (is_numeric($address))  exit(json_encode(['status' => 'error', 'message' => 'Company Address cannot be a number']));
    if (! is_numeric($phone) or strlen($phone) != 11) exit(json_encode(['status' => 'error', 'message' => 'Phone number must be 11 digits']));

    $this->preferences_model->_put($vat, 'vat');
    $this->preferences_model->_put($title, 'title');
    $this->preferences_model->_put($phone, 'phone');
    $this->preferences_model->_put($currency, 'currency');
    $this->preferences_model->_put($country, 'country');
    $this->preferences_model->_put($address, 'address');
    exit(json_encode(['status' => 'success', 'message' => '']));
  }

  function logo()
  {
    $data = $this->input->post('image');
    if ($data == null) exit('Upload Error');

    $image = explode(";", $data);
    $image = explode(",", $image[1]);
    $data = base64_decode($image[1]);

    file_put_contents(APPPATH . '../assets/images/logo.png', $data);

    $this->session->set_flashdata('prosc_message', 'Profile Picture updated');
    exit(json_encode(['status' => 'success', 'message' => '']));
  }
}
