<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Profile_control extends CI_Controller {
  
  public function __construct()
  {
    parent::__construct();

    if ($this->session->userdata('prosc_user') == null)
      redirect(base_url(), 'refresh');

    $this->load->model('profile_model');
  }

  public function index()
  {
    $user = $this->profile_model->_get(['token'=>$_SESSION['prosc_user']]);
    $this->load->view('default', ['page'=>'profile', 'data'=>$user]);
  }

  function update()
  {
    $action = $this->input->get('target');
    if (!in_array($action, ['photo', 'profile', 'password'])) redirect(base_url('not_found.aspx'), 'refresh');

    return $this->$action();
  }

  function photo()
  {
    $user = $this->profile_model->_get('users', ['token'=>$_SESSION['prosc_user']]);
    if ($user === false) exit('Program Error!');
    $data = $this->input->post('image');
    if ($data == null) exit('Upload Error');
    
    $data = base64_decode($data);
    $this->profile_model->_put(['photo'=>$data]);

    $_SESSION['prosc_image'] = $data;
    $this->session->set_flashdata('prosc_message', 'Profile Picture updated');
    exit(json_encode(['status'=>'success', 'message'=>''])); 
  }

  function profile()
  {
    $email = trim($this->input->post('email'));
    $phone = trim($this->input->post('phone'));
    $user = $this->profile_model->_get('users', ['token'=>$_SESSION['prosc_user']]);
    if ($user === false) exit('Program Error...');
    if ($email == '' OR $phone == '') exit(json_encode(['status'=>'error', 'message'=>'Fill in all fields']));
    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) exit(json_encode(['status'=>'error', 'message'=>'Email is invalid']));
    if (!is_numeric($phone) OR strlen($phone) != 11) exit(json_encode(['status'=>'error', 'message'=>'Phone number must be 11 digits']));
    $this->profile_model->_put(['email'=>$email, 'phone'=>$phone]);
    exit(json_encode(['status'=>'success', 'message'=>''])); 
  }

  function password()
  {
    $opa = $this->input->post('opass');
    $npa = $this->input->post('npass');
    $cpa = $this->input->post('cpass');
    
    if ($npa == null OR $cpa == null OR $opa == null)
      exit(json_encode(['status'=>'error', 'message'=>'Fill in all fields']));
    if ($npa != $cpa) exit(json_encode(['status'=>'error', 'message'=>'New Passwords do not match']));
    if (!ctype_alnum($npa) OR strlen($npa) < 8)
      exit(json_encode(['status'=>'error', 'message'=>'Passwords can be alphabets and numbers <br />and not less than 8 characters long']));

    $user = $this->profile_model->_get(['token'=>$_SESSION['prosc_user']]);
    if ( ! $user OR ! password_verify("GG$opa", $user->password))
      exit(json_encode(['status'=>'error', 'message'=>'Old password is incorrect'])); 
    
    $this->profile_model->_put(['password'=>password_hash("GG$npa", PASSWORD_DEFAULT)]);
    exit(json_encode(['status'=>'success', 'message'=>''])); 
  }
}
