<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Sales_prep_control extends CI_Controller
{

  public function __construct()
  {
    parent::__construct();

    if ($this->session->userdata('prosc_admin') !== true)
      redirect(base_url(), 'refresh');

    $this->load->model('sales_prep_model');
    $this->load->model('dashboard_model');
  }

  public function index()
  {
    $this->pager();
  }

  function pager()
  {
    if (! in_array($this->input->get('n'), ['sales', 'sales_chart'])) return false;

    $data['page'] = 'sale';
    $data['data'] = $this->sales_prep_model->_get_all();
    $margins = $this->sales_prep_model->_get_margins();
    $data['total'] = $margins['sales'] ?? 0;
    $data['costs'] = $margins['costs'] ?? 0;
    $data['staff'] = $this->sales_prep_model->_get_users();
    $data['currency'] = $this->dashboard_model->_get_currency() ?: "";
    $this->load->view('default', $data);
  }

  function navigate($dir)
  {
    if (($dir != 'next' && $dir != 'prev')) return false;

    $chip = $dir == 'prev' ? '-1 days' : '+1 day';
    $dated = $this->session->userdata('prosc_sales_prepare_date') ?? date('Y-m-d');
    $dated = date('Y-m-d', strtotime($chip, strtotime($dated)));
    $this->session->set_userdata('prosc_sales_prepare_date', $dated);
    $this->session->set_userdata('prosc_sales_date', $dated);
    $this->session->set_userdata('prosc_sales_chart_date', $dated);
    echo json_encode(['status' => 'success', 'message' => '']);
  }
}
