<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Sales_report_control extends CI_Controller {
  
  public function __construct()
  {
    parent::__construct();

    if ($this->session->userdata('prosc_admin') !== true)
      redirect(base_url(), 'refresh');
    $this->load->model('Sales_report_model');
  }

  public function index()
  {
    $this->pager();
  }

  function pager($tmp='')
  {
    $action = $this->input->get('action');
    if ($action == 'approve') return $this->supply();
    if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
    $data     = $this->Sales_report_model->_get_outlets( ) ?: [];
    $sales    = $this->Sales_report_model->_sales();
    $expenses = $this->Sales_report_model->_get_expenses();
    $clients  = $this->Sales_report_model->_get_clients() ?: [];
    $users    = $this->Sales_report_model->_get_users() ?: [];
    $outlets  = $this->Sales_report_model->_get_outlets() ?: [];
    $items    = $this->Sales_report_model->_get_items() ?: [];
    if ($tmp == '') $this->load->view('default', ['page'=>'sales_report', 'expenses' => $expenses ,'data'=>$data, 'clients'=>$clients, 'outlets'=>$outlets, 'tmp'=>$tmp, 'users' => $users,"items" => $items, "sales" => $sales]);
    else return $this->load->view('admin/sales_report', ['data'=>$data, 'expenses' => $expenses ,'clients'=>$clients, 'outlets'=>$outlets, 'tmp'=>$tmp, 'users' => $users,"items" => $items , "sales" => $sales], true);
  }

  function navigate($dir)
  {
    if (($dir != 'next' && $dir != 'prev')) return false;

    $chip = $dir == 'prev' ? '-1 days' : '+1 day';
    $dated = $this->session->userdata('prosc_sales_report_date') ?? date('Y-m-d');
    $dated = date('Y-m-d', strtotime($chip, strtotime($dated)));
    $this->session->set_userdata('prosc_sales_report_date', $dated);
    echo json_encode(['status'=>'success', 'message'=>'']);
  }

  
}
