<?php
if (!defined('BASEPATH'))
  exit('No direct script access allowed');

class Expenses_model extends CI_Model {

  function __construct() {
      parent::__construct();
  }

  function _get($params) 
  {
    $this->db->where('status', 0);
    $user = $this->db->get_where('er_expenses', $params);
    if ( ! ($user->num_rows() > 0)) return false;
    return $user->row();
  }

  function _get_outlet($token) 
  {
    $this->db->where('status', 0);
    $outlet = $this->db->get_where('er_warehouse', ['token'=>$token]);
    if ( ! ($outlet->num_rows() > 0)) return false;
    return $outlet->row();
  }

  function _get_all($params = '') 
  {
    $params = $_SESSION['prosc_expense_date'] ?? '';
    if ( ! isset($_SESSION['prosc_admin'])) $this->db->where('warehouse', $_SESSION['prosc_warehouse']);

    if ( ! isset($_SESSION['prosc_expenses_x']) && $params != '') $this->db->where('date', $params);

    $this->db->order_by('voucher DESC');
    if ( ! isset($_SESSION['prosc_expenses_x']))
      $this->db->group_by('voucher')->limit('100');
    if (isset($_SESSION['prosc_expenses_x']))
      $this->db->where("`date` BETWEEN '".$_SESSION['prosc_expenses_x']."' AND '".$_SESSION['prosc_expenses_y']."'")->group_by('voucher');
    $users = $this->db->get_where('er_expenses', ['status'=>0]);
    if ( ! ($users->num_rows() > 0)) return false;
    return $users->result_array();
  }
  
  function _get_users($params = '') 
  {
    if ($params != '') $this->db->where($params);
    $users = $this->db->get_where('er_admin', ['status'=>0]);
    if ( ! ($users->num_rows() > 0)) return false;
    return $users->result_array();
  }
  
  function _get_user($token) 
  {
    $users = $this->db->get_where('er_admin', ['status'=>0, 'token'=>$token]);
    if ( ! ($users->num_rows() > 0)) return false;
    return $users->row();
  }

  function _get_account_types() 
  {
    $users = $this->db->get_where('er_expenses_type', ['status'=>0]);
    if ( ! ($users->num_rows() > 0)) return false;
    return $users->result_array();
  }
  function _get_station_list(){
    $users = $this->db->get_where('er_warehouse', ['status'=>0]);
    if ( ! ($users->num_rows() > 0)) return false;
    return $users->result_array();
  }
  function _get_account_list() 
  {
    $users = $this->db->get_where('er_expenses_list', ['status'=>0]);
    if ( ! ($users->num_rows() > 0)) return false;
    return $users->result_array();
  }

  function _put($params, $target) 
  {
    $this->db->where('token', $target);
    $user = $this->db->update('er_expenses', $params);
    if ( ! $user) return false;
    return true;
  }

  function _count($filter='')
  {
    if (is_array($filter)) $this->db->where($filter);
    return $this->db->count_all_results('er_expenses');
  }

  function _post($data)
  {
    $hash = base64_encode(random_bytes(32).date('Hisa'));
    $hash = strtr($hash, '+/', '-_');
    $hash = rtrim($hash, '=');
    $last = $this->_count() + 1;
    $uuid = str_repeat('0', 3 - strlen($last)) . $last;
    $data['token'] = $hash;
    if ( ! $this->db->insert('er_expenses', $data)) return false;
    return $data['token'];
  }

  function _drop($target)
  {
    $this->db->where('token', $target);
    $this->db->update('er_expenses', ['status'=>'1']);
  }
}
