<?php
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Settings_pos_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    function _get($params)
    {
        $this->db->where('status', 0);
        $pos = $this->db->get_where('er_pos_staff', $params);
        if (!($pos->num_rows() > 0)) return false;
        return $pos->row();
    }

    function _get_all_pos_staff()
    {
        $pos = $this->db->get_where('er_pos_staff', ['status' => 0]);
        if (!($pos->num_rows() > 0)) return false;
        $all_pos_result = $pos->result_array();

        foreach ($all_pos_result as &$pos) {
            // Fetch the corresponding name from er_items where item matches the token
            $this->db->where('token', $pos['staff']);
            $query = $this->db->get('er_admin');
            $staff = $query->row();


            // Add the name to the sale result, or set it to null if not found
            $pos['staff_name'] = $staff ? $staff->name : null;
            $pos['staff_username'] = $staff ? $staff->username : null;
        }

        return $all_pos_result;
    }

    function _get_all_pos()
    {
        $pos = $this->db->get_where('er_pos', ['status' => 0]);
        if (!($pos->num_rows() > 0)) return false;
        return  $pos->result_array();
    }

    function _get_staff($is_all = false)
    {
        if ($is_all) {
            $all_staff = $this->db->get_where('er_admin', ['status' => 0]);
        } else {
            $all_staff = $this->db->get_where('er_admin', ['status' => 0, 'has_pos' => 0]);
        }
        if (!($all_staff->num_rows() > 0)) return false;
        return  $all_staff->result_array();
    }

    function _edit_staff($target, $action = 'add')
    {
        $this->db->where('token', $target);
        if ($action == 'add') {
            $staff = $this->db->update('er_admin', ['has_pos' => 1]);
        } else {
            $staff = $this->db->update('er_admin', ['has_pos' => 0]);
        }

        if (!$staff) return false;
        return true;
    }

    function _put($params, $target)
    {
        $this->db->where('token', $target);
        $staff = $this->db->update('er_pos_staff', $params);
        if (!$staff) return false;
        return true;
    }

    function _post($data)
    {
        $hash = base64_encode(random_bytes(32) . date('Hisa'));
        $hash = strtr($hash, '+/', '-_');
        $hash = rtrim($hash, '=');
        $data['token'] = $hash;
        $data['disabled'] = 0;
        if (!$this->db->insert('er_pos_staff', $data)) return false;
        return $data['token'];
    }

    function _drop($target)
    {
        $this->db->where('token', $target);
        $this->db->update('er_pos_staff', ['status' => '1']);
    }
}
