<?php
if (!defined('BASEPATH'))
  exit('No direct script access allowed');

class Staff_model extends CI_Model
{

  function __construct()
  {
    parent::__construct();
  }

  function _get($params)
  {
    $this->db->where('status', 0);
    $staff = $this->db->get_where('er_admin', $params);
    if (!($staff->num_rows() > 0)) return false;
    return $staff->row();
  }

  function _get_all($params = '')
  {
    $this->db->order_by('username');
    if ($params != '') $this->db->where($params);
    $staffs = $this->db->get_where('er_admin', ['status' => 0]);
    if (!($staffs->num_rows() > 0)) return false;
    return $staffs->result_array();
  }

  function _get_states()
  {
    $staffs = $this->db->get_where('er_nigeria_state', ['status' => 0]);
    if (!($staffs->num_rows() > 0)) return false;
    return $staffs->result_array();
  }

  function _get_outlets()
  {
    $this->db->order_by('type ASC, name ASC');
    $staffs = $this->db->get_where('er_warehouse', ['status' => 0]);
    if (!($staffs->num_rows() > 0)) return false;
    return $staffs->result_array();
  }

  function _get_items()
  {
    $items = $this->db->get_where('er_items', ['status' => 0]);
    if (!($items->num_rows() > 0)) return false;
    $item = [];
    foreach ($items->result_array() as $row) $item[$row['token']] = $row;

    return $item;
  }

  function _get_hss()
  {
    $this->db->select("er_sales.done_by, er_admin.name, er_warehouse.name AS outlet, SUM(er_sales.total) as total");
    $this->db->from('er_sales')->join('er_admin', 'er_sales.done_by = er_admin.token')->join('er_warehouse', 'er_admin.warehouse = er_warehouse.token');
    $this->db->where([
      'er_sales.status' => 0,
      'er_admin.status' => 0
    ]);
    $this->db->group_by('done_by')->order_by('total ASC')->limit(5);
    $sales = $this->db->get();
    if (!($sales->num_rows() > 0)) return false;
    return $sales->result_array();
  }

  function _get_spo()
  {
    $this->db->select("er_sales.done_by, er_admin.name, er_warehouse.name AS outlet, SUM(er_sales.total) as total");
    $this->db->from('er_sales')->join('er_admin', 'er_sales.done_by = er_admin.token')->join('er_warehouse', 'er_admin.warehouse = er_warehouse.token');
    $this->db->where([
      'er_sales.status' => 0,
      'er_admin.status' => 0
    ]);
    $this->db->group_by('er_sales.warehouse')->order_by('total ASC')->limit(5);
    // if (isset($_SESSION['prosc_users_date'])) $this->db->where('date', $_SESSION['prosc_users_date']);
    $sales = $this->db->get();
    if (!($sales->num_rows() > 0)) return false;
    return $sales->result_array();
  }

  function _get_hpo()
  {
    $this->db->select("er_sales.done_by, er_admin.name, er_sales.item, SUM(er_sales.quantity) AS quantity, er_warehouse.name AS outlet, SUM(er_sales.total) as total");
    $this->db->from('er_sales')->join('er_admin', 'er_sales.done_by = er_admin.token')->join('er_warehouse', 'er_admin.warehouse = er_warehouse.token');
    $this->db->where([
      'er_sales.status' => 0,
      'er_admin.status' => 0
    ]);
    $this->db->group_by('er_sales.warehouse')->distinct('er_sales.item')->order_by('er_sales.quantity ASC')->limit(5);
    $sales = $this->db->get();
    if (!($sales->num_rows() > 0)) return false;
    return $sales->result_array();
  }

  function _put($params, $target)
  {
    $this->db->where('token', $target);
    $staff = $this->db->update('er_admin', $params);
    if (!$staff) return false;
    return true;
  }

  function _count()
  {
    $this->db->where('type !=', '0');
    return $this->db->count_all_results('er_admin');
  }

  function _post($data)
  {
    $hash = base64_encode(random_bytes(32) . date('Hisa'));
    $hash = strtr($hash, '+/', '-_');
    $hash = rtrim($hash, '=');
    $last = $this->_count() + 1;
    $uuid = str_repeat('0', 3 - strlen($last)) . $last;
    $data['username'] = 'PSC/' . $uuid;
    $data['token'] = $hash;
    $data['password'] = password_hash('GGadmin', PASSWORD_DEFAULT);
    if (!$this->db->insert('er_admin', $data)) return false;
    return $data['token'];
  }

  function _drop($target)
  {
    $this->db->where('token', $target);
    $this->db->update('er_admin', ['status' => '1']);
  }
}
