<?php
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Waybill_online_model extends CI_Model
{

    function __construct()
    {
        parent::__construct();
    }

    function _get_all($params = '', $shipping_token = '')
    {

        if (!empty($shipping_token)) {
            $this->db->where("CONCAT(' ', shipping_token, ' ') LIKE '% $shipping_token %'", NULL, FALSE);
        }
        if ($params != '') $this->db->where($params);
        $this->db->order_by('created_at DESC');
        $waybill = $this->db->get_where('er_waybill', ['status' => 0]);

        if (!($waybill->num_rows() > 0)) {
            return false;
        }

        return $waybill->result_array();
    }


    function _get_items()
    {
        $items = $this->db->get_where('er_online_warehouse', ['status' => 0]);
        if (!($items->num_rows() > 0)) return false;
        return $items->result_array();
    }


    function _get_customers()
    {
        $this->db->where(['type' => 2]);
        $customers = $this->db->get_where('er_customers', ['status' => 0]);
        if (!$customers->num_rows() > 0) return false;
        return $customers->result_array();
    }

    function _get_states()
    {
        $bills = $this->db->get_where('er_state', ['status' => 0]);
        if (!($bills->num_rows() > 0)) return false;
        return $bills->result_array();
    }

    function _get_sales($params, $all = false)
    {
        if ($all) {

            $query = $this->db->get_where('er_shipping', ['order_id' => $params]);

            if ($query->num_rows() > 0) {
                return $query->result_array();
            } else {
                return false;
            }
        } else {
            $this->db->where('status', 0);
            $sales = $this->db->get_where('er_shipping', ['order_id' => $params, 'waybill' => '']);
            if (!($sales->num_rows() > 0)) return false;
            return $sales->result_array();
        }
    }


    function _mod($target, $items, $voucher)
    {
        // Loop through each item in $items and update the 'er_sales' table
        foreach ($items as $item) {
            $this->db->where(['item' => $item, 'voucher' => $voucher]);
            $update = $this->db->update('er_sales', ['waybill' => $target]);
            if (!$update) return false;
        }
        return true;
    }

    function _mod_shipping($target, $items)
    {
        // Loop through each item in $items and update the 'er_sales' table
        foreach ($items as $item) {
            $this->db->where(['item' => $item]);
            $update = $this->db->update('er_shipping', ['waybill' => $target]);
            if (!$update) return false;
        }
        return true;
    }

    function _put($params, $target)
    {
        $this->db->where('token', $target);
        $bill = $this->db->update('er_waybill', $params);
        if (!$bill) return false;
        return true;
    }

    function _count($table, $filter = '')
    {
        $table = 'er_' . $table;
        if (is_array($filter)) $this->db->where($filter);
        return $this->db->count_all_results($table);
    }

    function _post($data)
    {
        $hash = base64_encode(random_bytes(32) . date('Hisa'));
        $hash = strtr($hash, '+/', '-_');
        $hash = rtrim($hash, '=');
        $data['token'] = $hash;
        $data['done_by'] = $_SESSION['prosc_user'];
        if (!$this->db->insert('er_waybill', $data)) return false;
        return $data['token'];
    }

    function _drop($target)
    {
        $this->db->where('waybill', $target);
        $this->db->update('er_sales', ['waybill' => '']);
        $this->db->where('waybill', $target);
        $this->db->update('er_supply', ['waybill' => '']);
        $this->db->where('token', $target);
        $this->db->update('er_waybill', ['status' => '1']);
    }
}
