<?php 
error_reporting(E_ALL);
ini_set('display_errors',  1);
 ?>

<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
  $acct = $warehouse = $acctl = $user = [];
  foreach ($account_types as $key) $acct[$key['token']] = $key['name'];
  foreach ($station as $key) $warehouse[$key['token']] = $key['name'];
  foreach ($ledgers as $key) $acctl[$key['token']] = $key['name'];
  foreach ($users as $key) $user[$key['token']] = $key['name'];
  if ($tmp === ''):
    $ped = $this->session->userdata('prosc_expense_date');
?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <!-- <a href="javascript:void(0)">Accounting</a> <i class="ix ix-chevron"></i> -->
     <a href="javascript:void(0)">Expenses</a>
  </div>
  <div class="pb-2 ms-auto">
    <div class="btn-group bg-light rounded px-2">
      <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
      <a href="<?= base_url('filter/'.$page) ?>" class="btn" data-title="Filter" data-bs-toggle="modal" data-bs-target="#mModal" ><i class="bi-filter"></i></a>
    </div>
    <a href="<?= base_url('ipanel/pop/expenses'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" 
    data-title="New Expenses"><i class="bi-plus-lg"></i> Add Expenses</a>
  </div>
</div>
<?php if (isset($_SESSION['prosc_admin'])): ?>
<div class="container-fluid pt-3 d-flex justify-content-between flex-wrap">
  <div class="d-flex justify-content-start pb-0 align-items-center order-1 order-md-0" id="navs">
    <button class="btn btn-supreme togglr active" style="display: none;" >headquaters</button>
    <button class="btn btn-outline-supreme-2 togglr mx-1">Warehouse</button>
    <button class="btn btn-outline-supreme-2 togglr">Outlet</button>
  </div>
<?php if (!isset($_SESSION['prosc_expenses_x'])): ?>
  <div class="d-flex justify-content-end pb-0 align-items-center ms-auto order-0 order-md-1">
    <button class="btn btn-outline-supreme-2 pe-4 sub-url" data-ref="<?= base_url('navigate/expenses/prev'); ?>"><i class="bi-chevron-left"></i> Prev</button>
    <button class="btn mx-3"><?= (date('Y-m-d') == $ped OR $ped == '') ? 'Today' : date('d M, Y', strtotime($ped)); ?></button>
    <button class="btn btn-outline-supreme-2 ps-4 sub-url" data-ref="<?= base_url('navigate/expenses/next'); ?>" 
      <?= (date('Y-m-d') == $ped OR $ped == '') ? 'disabled' : ''; ?>>Next <i class="ix ix-chevron"></i></button>
  </div>
<?php else: ?>
  <div class="btn"><?= date('d M, Y', strtotime($_SESSION['prosc_expenses_x'])) ?> &nbsp; - &nbsp; <?= date('d M, Y', strtotime($_SESSION['prosc_expenses_y'])) ?></div>
<?php endif ?>
</div>
<?php endif ?>
<div class="container-fluid pt-3" id="drop-off">
<?php endif ?>
<?php if (isset($_SESSION['prosc_admin'])): ?>
  <div class="table-responsive active">
    <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
      <thead>
        <tr>
          <th class="text-center">#</th>
          <th>Account type</th>
          <th>Ledger Source</th>
          <th>Comment</th>
          <th width="60px">Amount</th>
          <th>By</th>
          <th width="20px"></th>
        </tr>
      </thead>
      <tbody>
    <?php
      $c = 0;
      foreach ($data as $row) {
        if ($row['type'] != 8) continue;
        $c++;
    ?>
        <tr>
          <td width="20px" class="text-right"><?= $c; ?></td>
          <td><?= $acct[$row['expenses_type']] ?? '<em style="color:red">unavailable </em>'; ?></td>
          <td><?= $acctl[$row['expenses_list']] ?? '<em style="color:red">unavailable </em>'; ?></td>
          <td><?= $row['reason']; ?></td>
          <td class="text-end text-nowrap"><span class="money"><?= number_format($row['amount'], 2); ?></span></td>
          <td><?= $user[$row['done_by']] ?? '<em style="color:red">unavailable </em>'; ?></td>
          <td class="dropstart py-2">
            <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
            <div class="dropdown-menu dropdown-menu-end">
              <a href="<?= base_url('ipanel/pop/expenses?token='.$row['token']); ?>" class="dropdown-item modal-trigger" data-bs-toggle="modal" data-bs-target="#mModal" 
                data-title="Edit Expense"><i class="bi-pen"></i> Edit details</a>
              <a href="<?= base_url('ipanel/drop/expenses?token='.$row['token']); ?>" class="dropdown-item modal-trigger" data-bs-toggle="modal" data-bs-target="#mModalX">
                <i class="bi-trash3-fill text-danger"></i> Remove
                <span class="msg d-none">This operation will remove expense with details at row: <b><?= $c; ?></b> from the system<br />Sure to continue?</span>
              </a>
            </div>
          </td>
        </tr>
    <?php } ?>
    <?php if ($c == 0) { ?>
        <tr><td colspan="8" class="p-5 text-danger text-center">no data available</td></tr>
    <?php } ?>
      </tbody>
    </table>
  </div>
<?php endif ?>
<?php if (isset($_SESSION['prosc_admin']) OR $stype == 0): ?>
  <div class="table-responsive<?= isset($_SESSION['prosc_admin']) ? ' d-none fade' : ''; ?>">
    <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
      <thead>
        <tr>
          <th class="text-center">#</th>
          <th>Account type</th>
          <th>Ledger Source</th>
          <th>Comment</th>
          <th width="60px">Amount</th>
          <th>By</th>
          <th>Warehouse</th>
          <th width="20px"></th>
        </tr>
      </thead>
      <tbody>
    <?php
      $c = 0;
      foreach ($data as $row) { 
        if ($row['type'] != 0) continue;
        $c++;
    ?>
        <tr>
          <td width="20px" class="text-right"><?= $c; ?></td>
          <td><?= $acct[$row['expenses_type']] ?? '<em style="color:red">unavailable </em>'; ?></td>
          <td><?= $acctl[$row['expenses_list']] ?? '<em style="color:red">unavailable </em>'; ?></td>
          <td><?= $row['reason']; ?></td>
          <td class="text-end text-nowrap"><span class="money"><?= number_format($row['amount'], 2); ?></span></td>
          <td><?= $user[$row['done_by']] ?? '<em style="color:red">unavailable </em>'; ?></td>
          <td><?= $warehouse[$row['warehouse']] ?? '<em style="color:red">unavailable </em>'; ?></td>
          <td class="dropstart py-2">
            <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
            <div class="dropdown-menu dropdown-menu-end">
              <a href="<?= base_url('ipanel/pop/expenses?token='.$row['token']); ?>" class="dropdown-item modal-trigger" data-bs-toggle="modal" data-bs-target="#mModal" 
                data-title="Edit Expense"><i class="bi-pen"></i> Edit details</a>
              <a href="<?= base_url('ipanel/drop/expenses?token='.$row['token']); ?>" class="dropdown-item modal-trigger" data-bs-toggle="modal" data-bs-target="#mModalX">
                <i class="bi-trash3-fill text-danger"></i> Remove
                <span class="msg d-none">This operation will remove expense with details at row: <b><?= $c; ?></b> from the system<br />Sure to continue?</span>
              </a>
            </div>
          </td>
        </tr>
    <?php } ?>
    <?php if ($c == 0) { ?>
        <tr><td colspan="8" class="p-5 text-danger text-center">no data available</td></tr>
    <?php } ?>
      </tbody>
    </table>
  </div>
<?php endif ?>
<?php if (isset($_SESSION['prosc_admin']) OR $stype == 1): ?>
  <div class="table-responsive<?= isset($_SESSION['prosc_admin']) ? ' d-none fade' : ''; ?>">
    <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
      <thead>
        <tr>
          <th class="text-center">#</th>
          <th>Account type</th>
          <th>Ledger Source</th>
          <th>Comment</th>
          <th width="60px">Amount</th>
          <th>By</th>
        <?php if (isset($_SESSION['prosc_admin'])): ?>
          <th>Outlet</th>
        <?php endif ?>
          <th width="20px"></th>
        </tr>
      </thead>
      <tbody>
    <?php
      $c = 0;
      foreach ($data as $row) { 
        if ($row['type'] != 1) continue;
        $c++;
    ?>
        <tr>
          <td width="20px" class="text-right"><?= $c; ?></td>
          <td><?= $acct[$row['expenses_type']] ?? '<em style="color:red">unavailable </em>'; ?></td>
          <td><?= $acctl[$row['expenses_list']] ?? '<em style="color:red">unavailable </em>'; ?></td>
          <td><?= $row['reason']; ?></td>
          <td class="text-end text-nowrap"><span class="money"><?= number_format($row['amount'], 2); ?></span></td>
          <td><?= $user[$row['done_by']] ?? '<em style="color:red">unavailable </em>'; ?></td>
        <?php if (isset($_SESSION['prosc_admin'])): ?>
          <td><?= $warehouse[$row['warehouse']] ?? '<em style="color:red">unavailable </em>'; ?></td>
        <?php endif ?>
          <td class="dropstart py-2">
            <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
            <div class="dropdown-menu dropdown-menu-end">
              <a href="<?= base_url('ipanel/pop/expenses?token='.$row['token']); ?>" class="dropdown-item modal-trigger" data-bs-toggle="modal" data-bs-target="#mModal" 
                data-title="Edit Expense"><i class="bi-pen"></i> Edit details</a>
              <a href="<?= base_url('ipanel/drop/expenses?token='.$row['token']); ?>" class="dropdown-item modal-trigger" data-bs-toggle="modal" data-bs-target="#mModalX">
                <i class="bi-trash3-fill text-danger"></i> Remove
                <span class="msg d-none">This operation will remove expense with details at row: <b><?= $c; ?></b> from the system<br />Sure to continue?</span>
              </a>
            </div>
          </td>
        </tr>
    <?php } ?>
    <?php if ($c == 0) { ?>
        <tr><td colspan="8" class="p-5 text-danger text-center">no data available</td></tr>
    <?php } ?>
      </tbody>
    </table>
  </div>
<?php endif ?>
<?php if ($tmp === ''): ?>
</div>
<?php endif ?>
<?php } ?>
<script type="text/javascript">
  $('#navs .togglr').click(function(e) {
    if (!$(this).hasClass('active')) {
      $('.togglr.active').toggleClass('btn-supreme btn-outline-supreme-2 active');
      $(this).toggleClass('btn-supreme btn-outline-supreme-2 active');
      let id = $(this).index();
      $('.table-responsive.active').toggleClass('d-none fade active');
      $('.table-responsive').eq(id).toggleClass('d-none fade active');
    }
  });
</script>
