<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (! is_array($data)): ?>
  <div class="p-5 text-danger text-center">
    <h4>Sales data not found</h4>
  </div>
<?php else: ?>
  <?php if ($tmp == '') {
    $cat = $i = [];
    foreach ($cats as $row) $cat[$row['token']] = $row['name'];
    foreach ($items as $row) $i[$row['token']] = $row['name'];
  ?>
    <div class="px-2 px-md-4 banner">
      <div class="pb-2 crumb">
        <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)" onclick="history.back()">Sales</a><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">Create Return</a>
      </div>
    </div>
    <div class="container p-0 p-md-3">
      <div class="row g-0">
        <div class="col-md-6 col-xl-5 border-end">
          <div class="container p-md-3 px-lg-4">
            <div class="container p-3 border rounded">
              <div class="p-3">
                <h5 class="text-center pb-3"><b>Create Return</b></h5>
                <table class="table border table-hovers">
                  <tbody>
                    <tr>
                      <td><b>ORDER</b></td>
                      <td class="text-end"><?= $sale->voucher; ?></td>
                    </tr>
                    <tr>
                      <td><b>CUSTOMER</b></td>
                      <td class="text-end"><?= $sale->customer_name; ?></td>
                    </tr>
                    <tr>
                      <td><b>DATE</b></td>
                      <td class="text-end"><?= date('d M, Y', strtotime($sale->date)); ?></td>
                    </tr>
                  </tbody>
                </table>
                <form action="#" id="adder" class="kForm position-relative" autocomplete="off">
                  <div id="loader" class="out"></div>
                  <div class="form-group mb-3 mb-3">
                    <label>Returned Product</label>
                    <select id="select" class="form-select" data-dselect-search="true" name="item">
                      <option class="d-none" value="">-select product-</option>
                      <?php foreach ($items as $row) {
                        if (! array_key_exists($row['token'], $data['items'] ?? [])) continue; ?>
                        <option id="i<?= $row['token'] ?>" value="<?= $row['token'] ?>"><?= $row['name']; ?> (<?= $cat[$row['category']] ?>)</option>
                      <?php } ?>
                    </select>
                  </div>
                  <div class="form-group mb-3">
                    <label>Quantity</label>
                    <input type="number" class="form-control" min="1" name="quantity" id="qty" required />
                  </div>
                  <div class="form-group mb-3">
                    <label>&nbsp; Unit Price</label>
                    <select id="price" class="form-control" disabled>
                      <option class="d-none">Price will show here</option>
                      <?php foreach ($data['items'] as $row) { ?>
                        <option id="p<?= $row['item'] ?>" value="<?= $row['item'] ?>"><?= $row['price']; ?></option>
                      <?php } ?>
                    </select>
                  </div>
                  <div class="form-group mb-3">
                    <label>Select a reason</label>
                    <select class="form-select" name="reason">
                      <option value="" class="d-none">Choose a category</option>
                      <option value="faulty">Faulty Product</option>
                      <option value="wrong">Wrong Product Shipped</option>
                      <option value="late">Arrived too late</option>
                    </select>
                  </div>
                  <div class="form-group mb-3">
                    <label>More Information</label>
                    <textarea name="details" class="form-control" placeholder="Tell us what the problem is" rows="2"></textarea>
                  </div>
                  <div class="text-end">
                    <button class="btn submit" id="send" data-ref="<?= base_url('ipanel/post/sales?target=returns&voucher=' . $sale->voucher); ?>">
                      <i class="bi-plus-lg"></i> <span>Add</span> Product</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-6 col-xl-7">
          <div class="container py-3 px-4">
            <div class="container p-3 border rounded" id="drop-off">
            <?php } ?>
            <h5 class="text-center pb-3"><b>Preview</b></h5>
            <div class="table-responsive" style="min-height: 0;">
              <table class="table table-hovers">
                <thead>
                  <tr>
                    <th width="20px">#</th>
                    <th>Product</th>
                    <th>Price (PU)</th>
                    <th>Units</th>
                    <th>Total</th>
                    <th width="60px"></th>
                  </tr>
                </thead>
                <tbody>
                  <?php
                  $c = 0;
                  $sum = 0;
                  foreach ($data['data'] as $row) {
                    $c++;
                    $sum += $row['price'] * $row['quantity'];
                  ?>
                    <tr>
                      <td width="20px"><?= $c; ?></td>
                      <td class="text-nowrap text-start"><?= $i[$row['item']]; ?></td>
                      <td>
                        <?php if ($currency == "GBP"): ?>
                          <i class="bi bi-currency-pound"></i><?= number_format($row['price']); ?>
                        <?php else: ?>
                          <span class="money"><?= number_format($row['price']); ?></span>
                        <?php endif; ?>
                      </td>
                      <td><?= number_format($row['quantity'], 0); ?></td>
                      <td class="text-end">
                        <?php if ($currency == "GBP"): ?>
                          <i class="bi bi-currency-pound"></i><?= number_format(($row['price'] * $row['quantity'])); ?>
                        <?php else: ?>
                          <span class="money"><?= number_format(($row['price'] * $row['quantity'])); ?></span>
                        <?php endif; ?>
                      </td>
                      <td class="d-none">
                        <span class="reason"><?= $row['category'] ?></span>
                        <span class="details"><?= $row['reason'] ?></span>
                      </td>
                      <td class="text-nowrap py-2">
                        <a href="javascript:void(0)" class="btn btn-sm mod" data-item="<?= $row['item']; ?>"
                          data-ref="<?= $row['token']; ?>" data-count="<?= $row['quantity']; ?>"><i class="bi-pencil-square"></i></a>
                        <a href="<?= base_url('ipanel/drop/sales?token=' . $row['token']); ?>" class="btn btn-sm text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
                          <i class="bi-trash3-fill"></i>
                          <span class="msg d-none">You are about to remove <b><?= $i[$row['item']]; ?></b> from this sales<br />Sure to continue?</span>
                        </a>
                      </td>
                    </tr>
                  <?php } ?>
                  <?php if (count($data['data']) == 0) { ?>
                    <tr>
                      <td colspan="6" class="p-5 text-danger text-center">no data available</td>
                    </tr>
                  <?php } else { ?>
                    <tr>
                      <td colspan="4" class="text-end"><b>Total:</b></td>
                      <td colspan="2">
                        <?php if ($currency == "GBP"): ?>
                          <i class="bi bi-currency-pound"></i><?= number_format($sum); ?>
                        <?php else: ?>
                          <span class="money"><?= number_format($sum); ?></span>
                        <?php endif; ?>
                      </td>
                    </tr>
                  <?php } ?>
                </tbody>
              </table>
            </div>
            <?php if (count($data['data']) > 0) { ?>
              <div class="py-2 text-end">
                <a href="#" class="btn btn-supreme sub-url py-2 px-3" data-ref="<?= base_url('ipanel/put/sales?action=close'); ?>">Complete Entry</a>
                </a>
              </div>
            <?php } ?>
            <?php if ($tmp === '') { ?>
            </div>
          </div>
        </div>
      </div>
      <span id="baseX" class="d-none"><?= base_url('ipanel/put/sales'); ?></span>
    </div>
    <script type="text/javascript" src="<?= base_url('assets/js/' . md5('er_supply') . '.js'); ?>" defer></script>
    <script type="text/javascript">
      $('#adder').on('reset', function() {
        $('#manprice').parent().addClass('d-none');
      });
      $('#manual').on('change', function() {
        $('#manprice').parent().toggleClass('d-none');
      })
    </script>
  <?php } ?>
<?php endif ?>