<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if ($data) { ?>
  <div class="container-fluid banner">
    <div class="pb-2 crumb">
      <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
      <a href="javascript:void(0)">Sales</a><i class="ix ix-chevron"></i>
      <a href="<?= base_url('ipanel/online_sales.aspx'); ?>">Online Sales</a><i class="ix ix-chevron"></i>
      <a href="javascript:void(0)">Sales Details</a>
    </div>
  </div>
  <div class="container-fluid px-md-0">
    <div class="banner px-md-4 py-2">
      <h4 class="mb-0"><b><?= $buyer->name; ?></b></h4>
      <a href="javascript:void(0)" class="btn btn-supreme disabled">Proceed to return</a>
    </div>
    <div class="row g-0 bg-light pt-md-1">
      <div class="col-lg-8 pe-md-2">
        <div class="px-md-4 py-3 flex-space bg-white" style="font-size: 1rem">
          <p>Order ID</p>
          <p><?= $data[0]['voucher']; ?></p>
        </div>
        <div class="px-md-4 py-3 flex-space bg-white" style="font-size: 1rem">
          <p>Date Purchased</p>
          <p><?= date('d F Y', strtotime($data[0]['date'])); ?></p>
        </div>
        <div class="px-md-4 py-3 flex-space bg-white" style="font-size: 1rem">
          <p>Address</p>
          <?php $address = json_decode($data[0]['shipping'], true); ?>
          <p><?= $address['address']; ?></p>
        </div>
        <div class="px-md-4 py-3 flex-space bg-white" style="font-size: 1rem">
          <p>Amount Paid</p>
          <p>
            <?php if ($currency == "GBP"): ?>
              <i class="bi bi-currency-pound"><span id="grand">0</span></i>
            <?php else: ?>
              <span class="money" id="grand">0</span>
            <?php endif; ?>
          </p>
        </div>
        <!-- <div class="px-md-4 py-3 flex-space bg-white" style="font-size: 1rem">
        <p>Track Status</p>
        <p><?= $data[0]['voucher']; ?></p>
      </div> -->
        <div class="px-md-4 py-3 mb-3 flex-space bg-white" style="font-size: 1rem">
          <p>Driver details</p>
          <p><?= $track['driver'] ?? 'unavailable'; ?></p>
        </div>
        <?php
        $total = 0;
        foreach ($data as $row):
          $total += $row['total'];
        ?>
          <div class="px-md-4 py-3 flex-space bg-white" style="font-size: 1rem">
            <div class="d-inline-flex align-items-center">
              <div style="width: 60px; height: 40px; text-align: center;"><img src="<?= $row['image']; ?>" style="max-width: 100%; max-height: 100%;" /></div>
              <div>&nbsp; <?= $row['item'] ?></div>
            </div>
            <p><b>x<?= number_format($row['quantity']); ?> &nbsp; &nbsp;
                <?php if ($currency == "GBP"): ?>
                  <i class="bi bi-currency-pound"></i><?= number_format($row['total']); ?>
                <?php else: ?>
                  <span class="money"><?= number_format($row['total']) ?></span>
                <?php endif; ?>

              </b></p>
          </div>
        <?php endforeach ?>
        <div class="px-md-4 py-3 my-3 flex-space bg-white" style="font-size: 1rem">
          <p>Shipping Fee</p>
          <p>
            <b class="money"><?= number_format($data[0]['shipping_fee']); ?></b>
          </p>
        </div>
        <div class="px-md-4 py-3 flex-space bg-white" style="font-size: 1rem">
          <p>Total</p>
          <p>
            <?php if ($currency == "GBP"): ?>
              <i class="bi bi-currency-pound"></i><?= number_format($data[0]['shipping_fee'] + $total); ?>
            <?php else: ?>
              <b class="money"><?= number_format($data[0]['shipping_fee'] + $total); ?></b>
            <?php endif; ?>

          </p>
        </div>
      </div>
      <div class="col-lg-4">
        <div class="px-md-4 py-3 bg-white h-100">
          <h6 class="mb-3 pb-3 border-bottom">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
              <path d="M12 22C12.6193 22.0008 13.2235 21.8086 13.7285 21.4502C14.2335 21.0917 14.6143 20.5849 14.818 20H9.182C9.38566 20.5849 9.76648 21.0917 10.2715 21.4502C10.7765 21.8086 11.3807 22.0008 12 22ZM19 14.586V10C19 6.783 16.815 4.073 13.855 3.258C13.562 2.52 12.846 2 12 2C11.154 2 10.438 2.52 10.145 3.258C7.185 4.074 5 6.783 5 10V14.586L3.293 16.293C3.19996 16.3857 3.12617 16.4959 3.07589 16.6172C3.0256 16.7386 2.99981 16.8687 3 17V18C3 18.2652 3.10536 18.5196 3.29289 18.7071C3.48043 18.8946 3.73478 19 4 19H20C20.2652 19 20.5196 18.8946 20.7071 18.7071C20.8946 18.5196 21 18.2652 21 18V17C21.0002 16.8687 20.9744 16.7386 20.9241 16.6172C20.8738 16.4959 20.8 16.3857 20.707 16.293L19 14.586Z" fill="#4F4F4F" />
            </svg> <b>Tracking Status</b>
          </h6>
          <div class="pay-track">
            <div class="section<?= $data[0]['paid'] == 1 ? ' active' : '' ?>">
              <p>Order Approved</p>
              <!-- <p class="text-small"><?= ($data[0]['paid'] == 1) ? date('d-m-Y | H:i', strtotime($data[0]['date'])) : ''; ?></p> -->
            </div>
            <div class="section<?= $track['order_status']  === 'Shipment Created' || $track['order_status']  === 'Shipped' || $track['order_status']  === 'Delivered'  ? ' active' : '' ?>">
              <?php $trans = $track ? (date('Y-m-d ', strtotime($track['date'])) . date('H:i', strtotime($track['created_at']))) : ''; ?>
              <p>Shipped</p>
              <!-- <p class="text-small"><?= $track ? date('d-m-Y | H:i', strtotime($trans)) : ''; ?></p> -->
            </div>
            <div class="section<?= $track['order_status']  === 'Shipped' || $track['order_status']  === 'Delivered' ? ' active' : '' ?>">
              <p>In Transit</p>
              <!-- <p class="text-small"><?= $track ? (date('d-m-Y | H:i', strtotime('+25 minutes', strtotime($trans)))) : ''; ?></p> -->
            </div>
            <div class="section<?= $track['order_status']  === 'Delivered' ? ' active' : '' ?>">
              <p>Delivered</p>
            </div>

          </div>
        </div>
      </div>
    </div>
  </div>
  <style type="text/css">
    p {
      margin: 0
    }

    .pay-track {
      padding: 24px;
      font-size: 1rem;
    }

    .pay-track .section {
      position: relative;
      padding-left: 24px;
      margin-bottom: 8px;
      color: #8f8f8f;
    }

    .pay-track .section:not(:last-child) {
      height: 120px;
    }

    .pay-track .section:before,
    .pay-track .section:after {
      position: absolute;
      top: 4px;
      left: 0;
      transform: translateX(-50%);
    }

    .pay-track .section:before {
      content: '\2714';
      color: #fff;
      text-align: center;
      width: 24px;
      height: 24px;
      border-radius: 50%;
      border: 2px solid #9A9A9A;
    }

    .pay-track .section.active:before {
      background-color: var(--bg);
      color: #fff;
      padding-right: 1px;
      border: none;
    }

    .pay-track .section:not(:last-child):after {
      content: '';
      width: 2px;
      top: 32px;
      bottom: 0;
      background-color: #9A9A9A;
    }

    .pay-track .section p {
      font-weight: 500;
    }

    .pay-track .section.active p:first-child {
      color: #444;
    }
  </style>
  <script type="text/javascript">
    $('#grand').text('<?= number_format($total); ?>');
  </script>
<?php } ?>