<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
  foreach ($items as $key) $item[$key['token']] = $key['name'];

  if ($tmp === ''):
    $ped = $this->session->userdata('prosc_sales_prepare_date');
?>
<div class="px-2 px-md-4 mb-3 banner d-print-none">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <a href="<?= base_url('ipanel/sales_prep.aspx?n=sales_chart');?>">Sales</a><i class="ix ix-chevron"></i>
    <a href="<?= base_url('ipanel/sales_prep.aspx?n=sales'); ?>">Sales Chart</a>
  </div>
</div>
<?php $x = $_SESSION['prosc_sales_chart_x'] ?? ''; ?>
<?php $y = $_SESSION['prosc_sales_chart_y'] ?? ''; ?>
<?php $dated = ( ! isset($_SESSION['prosc_sales_chart_x'])) ? (($ped == NULL) ? date('d/m/Y') : date('d/m/Y', strtotime($ped))) : (date('d/m/Y', strtotime($x)) .' - '. date('d/m/Y', strtotime($y))); ?>

<div class="px-2 px-md-4 mb-4 banner mx-auto" style="justify-content: space-between; align-items: center; font-weight: 800; ">
  <div>
    <?= $outlet['name'] ?? ''; ?><br />
    <span class="text-secondary"><?= $outlet['staff'] ?? ''; ?></span>
  </div>    
  <div class="text-end">
    <div style="font-size: 1.05rem;"><?= $dated; ?></div> 
    <div class="d-inline-block">Total Sales &nbsp;<span class="bi-2x"><span class="money"><?= number_format($totals['sales']); ?></span></span></div>
    <div class="d-inline-block ms-0 ms-md-4">Profit &nbsp;<span class="bi-2x text-success"><span class="money"><?= number_format(($totals['sales'] - $totals['costs'])); ?></span></span></div>
  </div>
</div>

<div class="container-fluid">
  <div class="pb-3 d-flex ">
    <div class="btn btn-outline-supreme-2 btn-sm" id="highest" onclick="highest()">Highest Sales </div>
    <div class="btn btn-sm" id="lowest" onclick="lowest()">Lowest Sales </div>
  </div>
  <!-- chart -->
  <div class="py-3 bg-white rounded">
    <h5 id="chart-title" class="p-3 pt-0"><b>Top 5 Sales</b></h5>
    <div class="position-relative" style="height: 240px">
      <canvas id="charted"></canvas>
      <canvas class="d-none" id="charted2"></canvas>
    </div>
  </div>
  <!-- chart end -->
  <div class="table-responsive">
    <table class="table table-hovers datatable">
      <thead>
        <tr class="text-center">
        <th width="20px">#</th>
        <th class="text-start">Product Name</th>
        <th class="text-start">Quantity Sold</th>
        <th class="text-start">Cost Price </th>
        <th class="text-start">Selling Price</th>
        <th class="text-start">Amount</th>
        <th class="text-start">Gross Profit</th>
        </tr>
      </thead>
      <tbody id="drop-off">
<?php endif ?>
  <?php
    $c = 0;
    foreach ($data as $row) { 
      $c++;
  ?>
        <tr>
          <td width="20px" class="text-end"><?= $c; ?></td>
          <td class="text-nowrap"><?= $item[$row['item']] ?? "*" ?></td>
          <td class="text-nowrap"><?= number_format($row['quantity']); ?></td>
          <td class="text-nowrap"><span class="money"><?= number_format($row['cost_price']); ?></span></td>  
          <td class="text-nowrap"><span class="money"><?= number_format($row['price']); ?></span></td>  
          <td class="text-nowrap"><span class="money"><?= number_format($row['sales']); ?></span></td>
          <td class="text-nowrap"><span class="money"><?= number_format(($row['sales'] - $row['costs'])); ?></span></td>  
        </tr>
  <?php } ?>
<?php if ($tmp === ''): ?>
      </tbody>
    </table>
  </div>
</div>
<?php endif ?>
<?php } ?>
<script type="text/javascript">
  let highests = '<?= json_encode($highest) ?>';
  let lowests  = '<?= json_encode($lowest) ?>';
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.9.1/chart.min.js"></script>
<script type="text/javascript" src="<?= base_url('assets/js/awe-statx.js'); ?>" defer></script>
