<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
  $s = $o = $staff = $chart = [];
  $oss = 0;
  foreach ($states as $key) $s[$key['token']] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
  foreach ($outlets as $key) {
    $o[$key['token']]['name'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
    $o[$key['token']]['state'] = $key['state'];
  }
  foreach ($data as $key) $staff[$key['token']] = $key;
  foreach ($hss as $key) $oss += $key['total'];

  if ($tmp === '') :
    $psc = $this->session->userdata('prosc_staff_date');
?>
    <div class="px-2 px-md-4 banner">
      <div class="pb-2 crumb">
        <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">Staff</a>
      </div>
      <div class="pb-2 banner border-0" style="margin-left: auto;">
        <div class="btn-group bg-light rounded px-2">
          <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
        </div>
        <a href="<?= base_url('ipanel/pop/staff'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="New Staff"><i class="bi-plus-lg"></i> Add New Staff</a>
      </div>
    </div>
    <div class="banner container-fluid d-flex justify-content-end py-1 align-items-center ms-auto">
      <button class="btn btn-outline-supreme-2 pe-4 sub-url" data-ref="<?= base_url('navigate/staff/prev'); ?>"><i class="bi-chevron-left"></i> Prev</button>
      <button class="btn mx-3"><?= (date('Y-m-d') == $psc or $psc == '') ? 'Today' : date('d M, Y', strtotime($psc)); ?></button>
      <button class="btn btn-outline-supreme-2 ps-4 sub-url" data-ref="<?= base_url('navigate/staff/next'); ?>" <?= (date('Y-m-d') == $psc or $psc == '') ? 'disabled' : ''; ?>>Next <i class="ix ix-chevron"></i></button>
    </div>
    <div class="container-fluid p-3 py-2" style="background-color: var(--background);">
      <div class="row">
        <div class="col-md-7">
          <div class="rounded p-3 bg-white">
            <h5 class="text-cast">Sales Performance</h5>
            <div class="row">
              <div class="col-md-5">
                <div class="border rounded p-2">

                  <?php if ($currency == "GBP"): ?>
                    <i class="bi bi-currency-pound"></i><?= number_format($oss); ?></b><br />
                  <?php else: ?>
                    <b class="money"><?= number_format($oss) ?></b><br />
                  <?php endif; ?>
                  <span class="text-secondary" style="font-size: .8rem"><?= count($hss) ?> outlets</span>
                  <div style="min-height: 240px;"><canvas id="spie-chart"></canvas></div>
                </div>
              </div>
              <div class="col-md-7">
                <div class="border rounded p-2">

                  <?php
                  $xc = 0;
                  $colors = ["#F7464A", "#46BFBD", "#FDB45C", "#949FB1", "#4D5360"];
                  foreach ($hss as $row) : $xc++;
                    // make changes for the er_staff delete and create new staffs
                    $chart['data'][] = $row['total'];
                    $chart['labels'][] = $row['name'];
                  ?>
                    <div class="<?= ($xc < 5) ? 'border-bottom' : ''; ?> flex-space px-2 py-2">
                      <div class="d-flex">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                          <path d="M11.6873 11.9363L12.9233 3.85125C12.5146 3.78688 12.1017 3.75254 11.688 3.7485C7.16476 3.7485 3.49951 7.4145 3.49951 11.9363C3.49951 16.4588 7.16551 20.124 11.6873 20.124C16.209 20.124 19.875 16.458 19.875 11.9363C19.875 11.7443 19.86 11.556 19.8465 11.3663L11.6873 11.9363ZM14.5778 2.34375L13.3418 10.4288L21.5003 9.85875C21.3705 8.00646 20.6145 6.2534 19.3564 4.88769C18.0984 3.52197 16.4132 2.62485 14.5778 2.34375Z" fill="<?= $colors[$xc - 1] ?>" />
                        </svg>
                        <div class="ps-1 pb-1"><b><?= $row['name']; ?></b><br /><span><?= $row['outlet'] ?></span></div>
                      </div>
                      <div>
                        <?php if ($currency == "GBP"): ?>
                          <i class="bi bi-currency-pound"></i><?= number_format($row['total']); ?> &nbsp;
                        <?php else: ?>
                          <span class="money"><?= number_format($row['total']) ?> &nbsp; </span>
                        <?php endif; ?>
                        <b><?= number_format(round($row['total'] * 100 / $oss)) ?>%</b>
                      </div>
                    </div>
                  <?php endforeach ?>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-5">
          <div class="rounded p-3 bg-white">
            <h5 class="text-cast pb-1">Highest Product Sale per outlet</h5>
            <?php foreach ($hpo as $row) : ?>
              <div class="flex-space border p-2 mb-1">
                <div>
                  <b><?= $row['name']; ?></b><br />
                  <span class="text-secondary" style="font-size: .8rem"><?= $row['outlet'] ?></span>
                </div>
                <div class="w-50">
                  <b><?= $items[$row['item']]['name'] ?></b><br />
                  <span class="text-secondary" style="font-size: .8rem"><?= number_format($row['quantity']) ?> Units</span>
                </div>
              </div>
            <?php endforeach ?>
          </div>
        </div>
      </div>
    </div>

    <div class="container-fluid pt-3">
      <div class="table-responsive">
        <table class="table <?= (count($data) > 0) ? ' table-hovers' : ''; ?> datatables">
          <thead>
            <tr class="text-center">
              <th width="20px">#</th>
              <th class="text-start">Staff ID</th>
              <th class="text-start">Name</th>
              <th class="text-start">Station</th>
              <th class="text-start">Location</th>
              <th width="60px">Phone</th>
              <th width="60px">Created</th>
              <th width="20px"></th>
            </tr>
          </thead>
          <tbody id="drop-off">
          <?php endif ?>
          <?php
          $c = 0;
          foreach ($data as $row) {
            $c++;
          ?>
            <tr>
              <td width="20px" class="text-end"><?= $c; ?></td>
              <td><?= $row['username']; ?></td>
              <td><?= $row['name']; ?></td>
              <td class="text-nowrap"><?= $o[$row['warehouse']]['name'] ? $o[$row['warehouse']]['name'] : 'Online warehouse' ?></td>
              <td class="text-nowrap"><?= $s[$o[$row['warehouse']]['state']] ? $s[$o[$row['warehouse']]['state']] : 'Lagos' ?></td>
              <td class="text-nowrap"><?= $row['phone']; ?></td>
              <td class="text-nowrap"><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
              <td class="dropstart py-2">
                <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
                <div class="dropdown-menu">
                  <a href="<?= base_url('ipanel/staff_sales.aspx?token=' . $row['token'] . '&tok=' . $row['warehouse']); ?>" class="dropdown-item"><i class="bi-eye"></i>View Sales</a>
                  <a href="<?= base_url('ipanel/pop/staffs?token=' . $row['token']); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Edit Staff">
                    <i class="bi-pencil-square"></i> Edit</a>
                  <a href="<?= base_url('ipanel/drop/staffs?token=' . $row['token']); ?>" class="text-danger dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX">
                    <i class="bi-trash3-fill"></i> Delete<span class="msg d-none">This operation will remove <b><?= $row['name']; ?></b> from the system<br />Sure to continue?</span></a>
                </div>
              </td>
            </tr>
          <?php } ?>
          <?php if (count($data) == 0) { ?>
            <tr>
              <td colspan="8" class="p-5 text-danger text-center">no data available</td>
            </tr>
          <?php } ?>
          <?php if ($tmp === '') : ?>
          </tbody>
        </table>
      </div>
    </div>
  <?php endif ?>
<?php } ?>
<script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.3/dist/Chart.min.js"></script>
<script type="text/javascript">
  let chart = <?= json_encode($chart); ?>;
  var ctx2 = document.getElementById("spie-chart").getContext("2d");
  data = {
    datasets: [{
      data: chart.data,
      backgroundColor: [
        "#F7464A",
        "#46BFBD",
        "#FDB45C",
        "#949FB1",
        "#4D5360",
      ],
      borderWidth: 0
    }],
    labels: chart.labels
  };
  var myDoughnutChart = new Chart(ctx2, {
    type: 'pie',
    data: data,
    options: {
      legend: false,
      maintainAspectRatio: false
    }
  });
</script>