<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
  $s = [];
  foreach ($states as $key) $s[$key['token']] = $key['name'];
?>
  <div class="px-2 px-md-4 banner">
    <div class="pb-2 crumb">
      <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
      <!-- <a href="javascript:void(0)">Supply</a><i class="ix ix-chevron"></i> -->
      <a href="javascript:void(0)">Waybill</a>
    </div>
    <div class="pb-2 banner border-0">
      <div class="btn-group bg-light rounded px-2">
        <a href="<?= base_url('filter/' . $page) ?>" class="btn" data-title="Filter" data-bs-toggle="modal" data-bs-target="#mModal"><i class="bi-filter"></i></a>
      </div>
      <a href="<?= base_url('ipanel/pop/waybill'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Create waybill"><i class="bi-plus-lg"></i> Create Waybill</a>
    </div>
  </div>



  <div class="container-fluid pt-3">
    <div class="table-responsive" id="drop-off">

      <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
        <thead>
          <tr>
            <th class="text-center" width="20px">#</th>
            <th>Driver</th>
            <th>Phone</th>
            <th>Date</th>
            <th>Supplies</th>
            <th>Status</th>
            <th width="20px"></th>
          </tr>
        </thead>
        <tbody>
          <?php
          $c = 0;
          foreach ($data['waybill_data'] as $row) {
            $c++;
          ?>
            <tr>
              <td width="20px" class="text-end"><?= $c; ?></td>
              <td><?= $row['driver']; ?></td>
              <td><?= $row['phone']; ?></td>
              <td><?= date('d/m/Y', strtotime($row['date'])); ?></td>
              <td><?= count(explode(' ', $row['items'])); ?></td>
              <td class="py-2"><?= ($row['delivery'] == 1) ? '<span class="g-shade">Completed</span>' : '<span class="b-shade">Enroute</span>'; ?></td>
              <td class="dropstart py-2">
                <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
                <div class="dropdown-menu">

                  <a href="<?= base_url('generate/invoice.aspx?action=waybill&target=' . $row['token']); ?>" target="_blank" class="dropdown-item">
                    <i class="bi-clipboard2-check-fill"></i> Download</a>
                  <?php if ($row['delivery'] == 0) : ?>
                    <a href="<?= base_url('ipanel/put/waybill?action=approve&token=' . $row['token']); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX" data-title="Warning"><i class="bi-check-circle"></i> Mark as completed
                      <span class="msg d-none">This operation will flag waybill at row <b><?= $c; ?></b> as delivered<br />Sure to continue?</span>
                    </a>
                  <?php endif ?>
                  <a href="<?= base_url('ipanel/drop/waybill?token=' . $row['token']); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX">
                    <i class="bi-trash3-fill text-danger"></i> Delete
                    <span class="msg d-none">This operation will remove waybill with details at row: <b><?= $c; ?></b> from the system<br />Sure to continue?</span>
                  </a>
                </div>
              </td>
            </tr>
          <?php } ?>
        </tbody>
      </table>
      <?php if (count($data) == 0) { ?>
        <div class="py-5 text-center">
          <div><i class="bi-archive-fill bi-3x text-danger"></i></div>
          <h5 class="text-nowrap mt-4">No data available</h5>
        </div>
      <?php } ?>
    <?php } ?>
    </div>
  </div>
  <style type="text/css">
    .g-shade,
    .b-shade {
      font-size: .8rem;
      font-weight: bold;
      display: inline-block;
      padding: 4px 12px;
      border-radius: 20px;
      margin-top: 3px;
    }

    .g-shade {
      background: rgba(18, 132, 56, 0.20);
      color: #128438;
    }

    .b-shade {
      background: #ECE9FF;
      color: #3822BC;
    }
  </style>