$(window).on('beforeunload', function() {
  $('#overlay, #spinner').removeClass('out');
});
function toast(type, title, message) {
  title = title[0].toUpperCase() + title.substring(1);
  $.Toast(title, message, type, {
    has_icon:true,
    has_close_btn:true,
    stack: true,
    timeout:7000,
    sticky:false,
    position_class: 'toast-top-right',
    has_progress:true,
    rtl:false
  });
}

$('#main-container').focus();
$('#overlay, #spinner').addClass('out');

$('button.t1').click(function(){
  $('#fakeNav').toggleClass('in');
  $('i', $(this)).toggleClass('bi-list bi-x-lg');
});

$('#fakeNav').click(function(e){
  if (e.target === this) {
    $(this).removeClass('in');
    $('button.t1 i').toggleClass('bi-list bi-x-lg');
  }
});

$('#title b').html($('#fakeNav .nav-link:not(.activ8).active').html());

$('#search').on('keyup', function() {
  let val = $.trim($(this).val()).replace(/ +/g, ' ').toLowerCase();
  
  let trs = $('tbody tr');
  trs.show().filter(function() {
    var text = $(this).text().replace(/\s+/g, ' ').toLowerCase();
    return !~text.indexOf(val);
  }).hide();
});

var mod = '';
$('#main-container, .nav-item').on('click', '[data-bs-target="#mModal"]', function(e) {
  e.preventDefault();
  var url = $(this).attr('href');
  let me = $(this);
  if (mod != url) {
    $('#mModal .modal-dialog').removeClass('modal-lg');
    $('#mModal .modal-dialog .modal-body').html('');
    $('#loader').removeClass('out');
    $('#mModal .modal-title').text('Please wait...');
    $('#modal-drop').load(url, function(result){
      $('#mModal .modal-title').text(me.data('title'));
      $('#loader').addClass('out');
      mod = url;
    })
  }
});

$('#main-container, .nav-item, #mModal, .dropdown').on('click', '[data-bs-target="#mModalX"]', function(e) {
  e.preventDefault();
  let txt = $('.msg', $(this)).html();
  $('#ok').data('ref', $(this).attr('href'));
  $('#ok').data('content', $(this).data('content'));
  $('#alert-text').html(txt);
  $('#mModalX .modal-title').text($(this).data('title'));
});
$('#ok').click(function(e){
  e.preventDefault();
  let url = $(this).data('ref');
  let content = $(this).data('content') ?? '#drop-off';
  $('#overlay, #spinner').removeClass('out');
  $.get(url, function(res){
    if (url.indexOf('/signout') != -1) location.reload();
    res = JSON.parse(res);
    if (!res.hasOwnProperty('status') || res.status == 'error') {
      toast('error', 'error', 'Request Failed');
    } else if (res.status == 'success') {
      if (res.message.substring(0, 6) == 'https:') window.location = res.message;
      if (res.message === '') location.reload();
      $(content).html(res.message);
      toast('success', 'Success', 'Operation Complete');
    }
    $('#overlay, #spinner').addClass('out');
  }).fail(function(r, s, x) {
    toast('error', s, r);
    $('#overlay, #spinner').addClass('out');
  });;
});

$('.input-change').blur(function() {
  $('#loader').removeClass('out');
  let val = $(this).val();
  console.log(val);
  $.post($(this).data('ref'), {value: $(this).val()}, function(res) {
    res = JSON.parse(res);
    if (!res.hasOwnProperty('status') || !res.hasOwnProperty('message')) return;
    else if (res.status == 'error') toast(res.status, res.status, res.message);
    else location.reload();
  });
})

var mModal = new bootstrap.Modal(document.getElementById('mModal'));
$('#mModal, #kForm, .kForm').on('click', '.submit', function(e){
  e.preventDefault();
  let me = $(this);
  let content = me.data('content') ?? '#drop-off';
  let form = me.data('form') ? $(me.data('form')) : $(this).parents('form');
  let url = me.data('ref');
  me.prop('disabled', true);
  $('#loader').removeClass('out');
  $.post(url, form.serialize(), function(res){
    me.prop('disabled', false);
    res = JSON.parse(res);
    if (!res.hasOwnProperty('status') || !res.hasOwnProperty('message')) return;
    else if (res.status == 'error') toast(res.status, res.status, res.message);
    else if (res.message.substring(0, 6) == 'https:') window.location = res.message;
    if (res.status == 'success' && res.message.substr(0, 6) != 'https:') {
      let msg = 'Record ' + ((url.indexOf('/put/') == -1) ? 'Inserted' : 'Updated');
      if (res.hasOwnProperty('extra')) {
        msg = res.extra;
        location.reload();
      }
      toast('success', 'Success', msg);
      $(content).html(res.message);
      if (url.indexOf('/put/') == -1) form[0].reset();
      mModal.hide();
      mod = '';
    }
    $('#loader').addClass('out');
  }).fail(function(r, s, x) {
    toast('error', s, r);
    $('#loader').addClass('out');
  });
});

$('#mModal').on('click', '[data-t-toggle]', function(e) {
  e.preventDefault();
  $(this).parent().prev().toggleClass('edit');
  $('a, button', $(this).parent()).toggleClass('d-none');
  $('input', $(this).parent().prev()).prop('disabled', (a, b) => !b).focus();
});

$('#main, #mModal').on('click', '.sub-url', function(e){
  e.preventDefault();
  $('#overlay, #spinner').removeClass('out');
  $.get($(this).data('ref'), function(res){
    res = JSON.parse(res);
    if (!res.hasOwnProperty('status') || !res.hasOwnProperty('message')) {
      toast('warning', 'Ufff...', 'Request was not completed. <br />Refresh and try again');
      $('#overlay, #spinner').addClass('out');
    }
    if (res.status == 'error') {
      toast(res.status, res.status, 'Request Failed');
      $('#overlay, #spinner').addClass('out');
    }
    if (res.message == '') location.reload();
  }).fail(function(r, s, x) {
    toast('error', s, r);
    $('#overlay, #spinner').removeClass('out');
  });
});

$(document).on('keydown', function(e){
  var evtobj = window.event ? event : e
  if (evtobj.keyCode == 81 && evtobj.ctrlKey) {
    let theme = $('body').attr('data-theme');
    theme = (theme == 'system') ? 'light' : ((theme == 'light') ? 'dark' : 'system');
    $.get(`${$('#base').text()}/theme?k=${theme}`);
    $('body').attr('data-theme', theme);
    toast('success', 'Themed', `Switched to ${theme} theme`);
  }
});

// Searchable select...
dselect(document.querySelector('.form-select'));
