<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Orders_control extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();

        if ($this->session->userdata('prosc_type') == 1 || $this->session->userdata('prosc_type') == 2)
            redirect(base_url(), 'refresh');
        $this->load->model('orders_model');
    }

    public function index()
    {
        $this->pager();
    }

    function pager($tmp = '')
    {
        if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');

        $data = $this->orders_model->_get_all() ?: [];
        $customers = $this->orders_model->_get_customers() ?: [];
        $items = $this->orders_model->_get_items() ?: [];
        if ($tmp == '') $this->load->view('default', ['page' => 'orders', 'data' => $data, 'items' => $items, 'customers' => $customers,  'tmp' => $tmp]);
        else return $this->load->view('admin/orders', ['data' => $data, 'items' => $items, 'customers' => $customers, 'tmp' => $tmp], true);
    }

    function check()
    {
        return [
            'order_confirmed' => 1,
            'order_status' => 'Order Confirmed',
        ];
    }



    function update()
    {
        $target = trim($this->input->get('token'));
        $item = trim($this->input->get('item'));
        $quantity = trim($this->input->get('quant'));
        $action = trim($this->input->get('action'));
        $updateData = [
            'stock' => $quantity
        ];
        if (!$this->orders_model->_get(['token' => $target])) exit(json_encode(['status' => 'error', 'message' => 'A fatal error has occured. <br />Please refresh and try again']));
        $data = $this->check();
        if (!$data) exit(json_encode(['status' => 'error', 'message' => 'Fill in all fields']));

        if ($action == 'approve') {
            if (!$this->orders_model->_update_inven($updateData, $item))
                exit(json_encode(['status' => 'error', 'message' => 'An unknown error occured while updating inventory']));
            if (!$this->orders_model->_put($data, $target))
                exit(json_encode(['status' => 'error', 'message' => 'An unknown error occured and the update failed']));
        } else {
            $data = [
                'order_confirmed' => 0,
                'order_status' => 'Order Rejected',
            ];
            if (!$this->orders_model->_put($data, $target))
                exit(json_encode(['status' => 'error', 'message' => 'An unknown error occured and the update failed']));
        }
        echo (json_encode(['status' => 'success', 'message' => $this->pager('dump')]));
    }

    function update_status()
    {
        $target = trim($this->input->get('target'));
        $status   = trim($this->input->post('status'));
        if ($status == '') exit(json_encode(['status' => 'error', 'message' => 'Please select an order status']));
        if (!$this->orders_model->_get(['token' => $target])) exit(json_encode(['status' => 'error', 'message' => $target . 'A fatal error has occured. <br />Please refresh and try again']));
        $this->orders_model->_put_status($status, $target);
        echo (json_encode(['status' => 'success', 'message' => 'Operation sucessfull']));
    }

    function delete()
    {
        $target = trim($this->input->get('token'));
        if (!$this->orders_model->_get(['token' => $target])) exit(json_encode(['status' => 'error', 'message' => 'A fatal error has occured. <br />Please refresh and try again']));
        $this->orders_model->_drop($target);
        echo (json_encode(['status' => 'success', 'message' => $this->pager('dump')]));
    }

    function popup()
    {
        if (!$this->input->is_ajax_request()) {
            $pagedata['heading'] = 'Hold on!';
            $pagedata['message'] = 'The page you tried to reach, restricts direct access.';
            $this->load->view('errors/html/error_404', $pagedata);
        }
        $target = $this->input->get('token');
        $data = ['data' => ''];
        $file = $this->orders_model->_get(['token' => $target]);
        if ($file) $data['data'] = $file;
        $this->load->view('popups/admin/order', $data);
    }
}
