<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Receipt_control extends CI_Controller
{

  public function __construct()
  {
    parent::__construct();

    $this->load->model('receipt_model');
    $this->load->model('shipping_settings_model');
  }

  public function index()
  {
    $this->load->view('login');
  }

  function download()
  {
    $name = $this->input->post('title') ?: 'Receipt';
    $name .= '.png';
    $data = $this->input->post('file');
    $image = explode(";", $data);
    $image = explode(",", $image[1]);
    $data = base64_decode($image[1]);
    header('Content-type: application/octet-stream');
    header("Pragma: public");
    header("Expires: 0");
    header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
    header("Cache-Control: private", false); // required for certain browsers
    header("Content-Disposition: attachment; filename=\"$name\";"); //png is default for toDataURL
    header("Content-Transfer-Encoding: binary");
    header("Content-Length: " . strlen($data));

    // $this->load->helper('download');
    // force_download($name, $data);
    echo $data;
  }

  function generate($target)
  {
    $target = $this->input->get('action');
    if (!in_array($target, ['supply', 'sales', 'waybill'])) {
      redirect(base_url('not_found.aspx'), 'refresh');
      return false;
    }

    $tag = $this->input->get('target');
    $waybill = $this->receipt_model->_get_waybill($tag) ?: $this->receipt_model->_get($target, $tag);
    if ($waybill) {
      $user = $this->receipt_model->_get('admin', $waybill->done_by);
      $_SESSION['prosc_receipt_name'] = $user->name ?? '';
      $_SESSION['prosc_receipt_phone'] = $user->phone ?? '';
    }
    $currency = $this->shipping_settings_model->_get_currency() ?: "";
    $outlets = $this->receipt_model->_get_outlets() ?: [];
    $items = $this->receipt_model->_get_items() ?: [];
    $settings = $this->receipt_model->_get_settings() ?: [];
    $cats  = $this->receipt_model->_get_cats();
    $itemx  = $this->receipt_model->_get_itemx();


    [$page, $data, $title] = $this->$target($this->input->get('target'));

    if ($target == 'sales') {
      $this->load->view('receipts/receipt', ['outlets' => $outlets, 'currency' => $currency, 'settings' => $settings, 'items' => $items, 'data' => $data, 'cats' => $cats, 'itemx' => $itemx]);
    } else {
      $this->load->view('receipt', ['title' => $title, 'page' => $page, 'waybill' => $waybill, 'outlets' => $outlets, 'currency' => $currency, 'settings' => $settings, 'items' => $items, 'data' => $data, 'cats' => $cats, 'itemx' => $itemx]);
    }
  }

  function sales($target)
  {
    $sale = $this->receipt_model->_get_sales($target) ?: [];
    return ['receipt', $sale, 'Sales Receipt'];
  }

  function supply($target)
  {
    $supply = $this->receipt_model->_get_supply($target) ?: [];

    return ['invoice', $supply, 'Supply Invoice'];
  }

  function waybill($target)
  {
    $waybill = $this->receipt_model->_get_temps($target) ?: [];
    return ['waybill', $waybill, 'Waybill'];
  }
}
