<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Sales_chart_details_control extends CI_Controller {
  
  public function __construct()
  {
    parent::__construct();

    if ($this->session->userdata('prosc_admin') !== true)
      redirect(base_url(), 'refresh');
    $this->load->model('Sales_chart_details_model');
  }

  public function index()
  {
    $this->pager();
  }

  function pager($tmp='')
  {
    $action = $this->input->get('action');
    $tag = $this->input->get('token');
    if ($action == 'approve') return $this->supply();
    if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
    $data    = $this->Sales_chart_details_model->_get_all($this->input->get('token')) ?: [];
    $sales   = $this->Sales_chart_details_model->_sales($tag);
    $totals  = $this->Sales_chart_details_model->_get_totals($tag) ?: [];
    $highest = $this->Sales_chart_details_model->_get_chart($tag, 'highest');
    $lowest  = $this->Sales_chart_details_model->_get_chart($tag, 'lowest');
    $clients = $this->Sales_chart_details_model->_get_clients() ?: [];
    $users   = $this->Sales_chart_details_model->_get_users() ?: [];
    $outlet  = $this->Sales_chart_details_model->_get_outlet($this->input->get('token')) ?: [];
    $items   = $this->Sales_chart_details_model->_get_items() ?: [];
    if ($tmp == '') $this->load->view('default', ['highest'=>$highest,'lowest'=>$lowest,'tag'=>$tag,'page'=>'sales_chart_details', 'data'=>$data, 'clients'=>$clients, 'outlet'=>$outlet, 'tmp'=>$tmp, 'users' => $users,"items" => $items, "sales" => $sales, 'totals'=>$totals]);
    else return $this->load->view('admin/sales_chart_details', ['highest'=>$highest,'lowest'=>$lowest,'tag'=>$tag,'data'=>$data,'clients'=>$clients, 'outlet'=>$outlet, 'tmp'=>$tmp, 'users' => $users,"items" => $items , "sales" => $sales], true);
  }

  function navigate($dir)
  {
    if (($dir != 'next' && $dir != 'prev')) return false;

    $chip = $dir == 'prev' ? '-1 days' : '+1 day';
    $dated = $this->session->userdata('prosc_sales_report_details_date') ?? date('Y-m-d');
    $dated = date('Y-m-d', strtotime($chip, strtotime($dated)));
    $this->session->set_userdata('prosc_sales_report_details_date', $dated);
    echo json_encode(['status'=>'success', 'message'=>'']);
  }  
}
