<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Sales_online_control extends CI_Controller {
  
  public function __construct()
  {
    parent::__construct();

    if ( ! isset($_SESSION['prosc_user'])) redirect(base_url(), 'refresh');

    $this->load->model('sales_online_model');
  }

  public function index()
  {
    $this->pager();
  }

  function pager($tmp='')
  {
    if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
    if ($this->input->get('action') == 'open') return $this->open();
    $data['tmp']    = $tmp;
    $data['page']   = 'sales_online';
    $data['sales']  = $this->sales_online_model->_get_sales('0', $this->input->get('token')) ?: [];
    $data['return'] = $this->sales_online_model->_get_return() ?: [];
    if ($tmp == '') $this->load->view('default', $data);
    else return $this->load->view('admin/sales_online', $data, true);
  }

  function navigate($dir)
  {
    if (($dir != 'next' && $dir != 'prev')) return false;

    $chip = $dir == 'prev' ? '-1 days' : '+1 day';
    $dated = $this->session->userdata('prosc_sales_date') ?? date('Y-m-d');
    $dated = date('Y-m-d', strtotime($chip, strtotime($dated)));
    $this->session->set_userdata('prosc_sales_date', $dated);
    echo json_encode(['status'=>'success', 'message'=>'']);
  }

  // function update()
  // {
  //   $action = $this->input->get('action');
  //   if ($action != '') exit($this->$action());
  //   $target = $this->sales_online_model->_get(['token'=>trim($this->input->get('target'))]);
  //   if ( ! $target) exit(json_encode(['status'=>'error', 'message'=>'A fatal error has occured. <br />Please refresh and try again']));
  //   $data = $this->check(); 
  //   if ( ! $data) exit(json_encode(['status'=>'error', 'message'=>'Some fields were not properly filled']));
  //   if ($data == -1) exit(json_encode(['status'=>'error', 'message'=>'Quantity is invalid']));
  //   if ($data == -2) exit(json_encode(['status'=>'error', 'message'=>'Enter a valid price']));
  //   $check = ['token !='=>$target->token, 'item'=>$data['item'], 'voucher'=>$data['voucher']];
  //   if ($this->sales_online_model->_get($check)) exit(json_encode(['status'=>'error', 'message'=>'This entry already exists in the sale']));

  //   $this->inventory_model->_aggregate($_SESSION['prosc_warehouse']);
  //   $quantity = $data['quantity'] - $target->quantity;
  //   if ( ! $this->sales_online_model->_evaluate($data['item'], $quantity)) 
  //     exit(json_encode(['status'=>'error', 'message'=>'Insufficient Stock']));

  //   if ( ! $this->sales_online_model->_put($data, $target->token))
  //     exit(json_encode(['status'=>'error', 'message'=>'An unknown error occured and the update failed']));
    
  //   echo (json_encode(['status'=>'success', 'message'=>$this->pager('dump')]));
  // }

  // function check_return()
  // {
  //   if ($this->input->get('extras') == 'account') $this->account();

  //   $item     = trim($this->input->post('item'));
  //   $reason   = trim($this->input->post('reason'));
  //   $details  = trim($this->input->post('details'));
  //   $quantity = trim($this->input->post('quantity'));

  //   if ( ! in_array($reason, ['faulty', 'wrong', 'late']) OR $item == '' OR $quantity == '') 
  //     exit(json_encode(['status'=>'error', 'message'=>'Fill in all fields']));
  //   $sale = $this->sales_online_model->_get(['voucher'=>$this->input->get('voucher')]);
  //   if ( ! $sale) exit(json_encode(['status'=>'error', 'message'=>'A fatal error occurred. Please refresh and try again']));
  //   $return = $this->sales_online_model->_get_return_item($this->input->get('voucher'), $item);
  //   if ( ! is_numeric($quantity) OR $quantity < 1) exit(json_encode(['status'=>'error', 'message'=>'Enter a valid quantity']));
  //   if ($return - $quantity < 0) exit(json_encode(['status'=>'error', 'message'=>"Maximum return quantity for this item is: &nbsp; ". number_format($return)]));

  //   $data = [
  //     'customer' => $sale->customer,
  //     'voucher'  => $sale->voucher,
  //     'item'     => $item,
  //     'category' => $reason,
  //     'reason'   => $details,
  //     'price'    => $sale->price,
  //     'total'    => $sale->price * $quantity,
  //     'quantity' => $quantity
  //   ];
  //   $this->sales_online_model->_post($data, 'returns');
  //   exit(json_encode(['status'=>'success', 'message'=>$this->returns('dump')]));
  // }

  function open()
  {
    $target = trim($this->input->get('target'));
    $sale = $this->sales_online_model->_get(['token'=>$target]);
    if ( ! $sale) exit(json_encode(['status'=>'error', 'message'=>'An unknown error occured while trying to open']));
    $debtor = $this->sales_online_model->_get_client(['token'=>$sale[0]['customer'] ?? '']);

    $data['page'] = 'sale_data';
    $data['data'] = $sale;
    $data['buyer'] = $debtor;
    $data['extra'] = $this->sales_online_model->_get_extra($target);
    $data['track'] = $this->sales_online_model->_get_delivery($sale[0]['voucher']);
    $this->load->view('default', $data);
  }
}
