<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Shipping_control extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();

        if ($this->session->userdata('prosc_type') == 2)
            redirect(base_url(), 'refresh');
        $this->load->model('shipping_model');
        $this->load->helper('url');
    }

    public function index()
    {
        $this->pager();
    }

    function pager($tmp = '')
    {
        if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');

        $data = $this->shipping_model->_get_all() ?: [];
        $customers = $this->shipping_model->_get_customers() ?: [];
        $outlets = $this->shipping_model->_get_outlets() ?: [];
        $items = $this->shipping_model->_get_items() ?: [];
        if ($tmp == '') $this->load->view('default', ['page' => 'shipping', 'data' => $data, 'items' => $items, 'customers' => $customers, 'outlets' => $outlets,  'tmp' => $tmp]);
        else return $this->load->view('admin/shipping', ['data' => $data, 'items' => $items, 'customers' => $customers, 'outlets' => $outlets, 'tmp' => $tmp], true);
    }

    function check()
    {
        return [
            'order_confirmed' => 1,
            'order_status' => 'Order Confirmed',
        ];
    }


    function update()
    {
        if ($token = trim($this->input->post('order'))) {
            $token = trim($this->input->post('order'));
        } elseif ($token = trim($this->input->get('target'))) {
            $token = trim($this->input->get('target'));
        }
        if ($token == '') exit(json_encode(['status' => 'error', 'message' =>  $token . 'Select an order']));
        $order = $this->shipping_model->_get_sales(['token' => $token]);
        $order_xtral = $this->shipping_model->_get_sales_xtral(['voucher' => $order->voucher]);
        $dataArray = json_decode($order_xtral->shipping, true);

        $result = array(
            'city' => $dataArray['city'],
            'address' => $dataArray['address'],
            'country' => $dataArray['country'],
            'zipcode' =>  $dataArray['zipcode']
        );

        $data = [
            'sales_id' => $token,
            'order_id' => $order->voucher,
            'customer' => $order->customer,
            'delivery_address' => implode(' ', $result),
            'item' => $order->item,
            'quantity' => $order->quantity,
            'shipment_status' => 'Shipment Created',
            'status' => 0,
        ];
        // echo (json_encode(['status' => 'success', 'message' => base_url("ipanel/order_details.aspx?target=" . $dataArray['city'])]));

        if (!$data) exit(json_encode(['status' => 'error', 'message' => 'Data not found']));
        if (!$this->shipping_model->_post($data))
            exit(json_encode(['status' => 'error', 'message' => 'An unknown error occured and the insertion operation failed']));
        if ($token = trim($this->input->post('order'))) {
            echo (json_encode(['status' => 'success', 'message' => $this->pager('dump')]));
        } else {
            redirect(base_url('ipanel/shipping.aspx'), 'refresh');
        }
    }


    function popup()
    {
        if (!$this->input->is_ajax_request()) {
            $pagedata['heading'] = 'Hold on!';
            $pagedata['message'] = 'The page you tried to reach, restricts direct access.';
            $this->load->view('errors/html/error_404', $pagedata);
        }
        $data = ['sales' => ''];
        $items = $this->shipping_model->_get_items() ?: [];
        $file = $this->shipping_model->_get_sales([], true);
        if ($file) $data['sales'] = $file;
        $data['items'] = $items;
        $this->load->view('popups/admin/shipment', $data);
    }
}
