<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Track_control extends CI_Controller
{

  public function __construct()
  {
    parent::__construct();

    if ($this->session->userdata('prosc_admin') !== true)
      redirect(base_url(), 'refresh');

    $this->load->model('track_model');
    $this->load->model('dashboard_model');
  }

  public function index()
  {
    $this->pager();
  }

  function pager($tmp = '')
  {
    if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
    $data = $this->track_model->_get($this->input->get('target')) ?: [];
    $i = $data->waybill ?: '';
    $k = $data->voucher ?: '';
    $data = $this->track_model->_get_all($k) ?: [];
    $waybill = $this->track_model->_get_waybill($i) ?: [];
    $total = $this->track_model->_get_sum($k) ?: [];
    $currency = $this->dashboard_model->_get_currency() ?: "";

    if ($tmp == '') $this->load->view('default', ['page' => 'supply_track', 'data' => $data, 'total' => $total, 'currency' => $currency, 'waybill' => $waybill, 'tmp' => $tmp]);
    else return $this->load->view('admin/supply_track', ['data' => $data, 'total' => $total, 'waybill' => $waybill, 'currency' => $currency, 'tmp' => $tmp], true);
  }

  function update()
  {
    $target = trim($this->input->get('target'));
    if (! $this->track_model->_get_all($target)) exit(json_encode(['status' => 'error', 'message' => 'A fatal error has occured. <br />Please refresh and try again']));

    if (! $this->track_model->_put(['paid' => '1'], $target))
      exit(json_encode(['status' => 'error', 'message' => 'An unknown error occured and the update failed']));

    echo (json_encode(['status' => 'success', 'message' => '']));
  }
}
