<?php
if (!defined('BASEPATH'))
  exit('No direct script access allowed');

class complaints_model extends CI_Model
{

  function __construct()
  {
    parent::__construct();
  }

  function _get($params)
  {
    $this->db->where('status', 0);
    $complain = $this->db->get_where('er_support', $params);
    if (!($complain->num_rows() > 0)) return false;
    return $complain->result_array();
  }

  function _get_all($params = '')
  {
    $this->db->order_by('opened ASC, created_at DESC');
    if ($params != '') $this->db->where($params);
    $users = $this->db->get_where('er_support', ['status' => 0]);
    if (!($users->num_rows() > 0)) return false;
    return $users->result_array();
  }


  function _count_all()
  {
    return $this->db->count_all_results('er_support');
  }

  function _count_unread()
  {
    $this->db->select('opened');
    $this->db->from('er_support');
    $this->db->where('opened', 0);
    $num_results = $this->db->count_all_results();
    return $num_results;
  }

  function _all_count()
  {
    $this->db->select('status');
    $this->db->from('er_support');
    $this->db->where('status', 0);
    $num_results = $this->db->count_all_results();
    return $num_results;
  }



  function _get_reply($params)
  {
    $this->db->where('status', 0);
    $reply = $this->db->get_where('er_support', $params);
    return ($reply->num_rows() > 0) ? true : false;
  }


  function _put($params, $target)
  {
    $this->db->where('token', $target);
    $item = $this->db->update('er_support', $params);
    if (!$item) return false;
    return true;
  }

  function _post($data)
  {
    $hash = base64_encode(random_bytes(32) . date('Hisa'));
    $hash = strtr($hash, '+/', '-_');
    $hash = rtrim($hash, '=');
    $last = $this->_count() + 1;
    $uuid = str_repeat('0', 3 - strlen($last)) . $last;
    $data['token'] = $hash;
    if (!$this->db->insert('er_support', $data)) return false;
    return $data['token'];
  }

  function _drop($target)
  {
    $this->db->where('token', $target);
    $this->db->update('er_support', ['status' => '1']);
  }
}
