<?php
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class kpi_update_model   extends CI_Model
{

    function __construct()
    {
        parent::__construct();
    }

    function _get_details($params)
    {
        $this->db->where('status', 0);
        $item = $this->db->get_where('er_staff_performance', $params);
        if (!($item->num_rows() > 0)) return false;
        return $item->result_array();
    }

    function _get_staff($params)
    {
        $this->db->where('status', 0);
        $item = $this->db->get_where('er_admin', $params);
        if (!($item->num_rows() > 0)) return false;
        return $item->row();
    }

    function _get_kpi_list()
    {
        $this->db->order_by('name');
        $query = $this->db->get_where('er_kpi', ['status' => 0]);

        if ($query->num_rows() > 0) {
            // Fetch the 'name' column as an array
            $result = $query->result_array();

            // Extract the 'name' column into a new array
            $names = array_column($result, 'name');

            return $names;
        } else {
            return false;
        }
    }


    function _put($data, $target)
    {
        $this->db->where('token', $target);
        $user = $this->db->update('er_staff_performance', $data);

        if (!$user) {
            $error = $this->db->error();
            log_message('error', 'Database error: ' . print_r($error, true));
            return false;
        }

        return true;
    }


    function _post($data, $target)
    {
        $hash = base64_encode(random_bytes(32) . date('Hisa'));
        $hash = strtr($hash, '+/', '-_');
        $hash = rtrim($hash, '=');
        $data['token'] = $hash;
        $data['staff_id'] = $target;
        if (!$this->db->insert('er_staff_performance', $data)) return false;
        return true;
    }
}
