<?php
if (!defined('BASEPATH'))
  exit('No direct script access allowed');

class Lodgement_model extends CI_Model {

  function __construct() {
      parent::__construct();
  }

  function _get($params) 
  {
    $this->db->where('status', 0);
    $lodgement = $this->db->get_where('er_lodgement', $params);
    if ( ! ($lodgement->num_rows() > 0)) return false;
    return $lodgement->row();
  }

  function _get_all($params = '') 
  {
    if ($params != '') $this->db->where($params);
    $debtors = $this->db->get_where('er_lodgement', ['status'=>0]);
    if ( ! ($debtors->num_rows() > 0)) return false;
    return $debtors->result_array();
  }

  function _get_users() 
  {
    $users = $this->db->get('er_admin');
    if ( ! ($users->num_rows() > 0)) return false;
    return $users->result_array();
  }

  function _get_clients() 
  {
    $clients = $this->db->get('er_customers');
    if ( ! ($clients->num_rows() > 0)) return false;
    return $clients->result_array();
  }

  function _get_outlets() 
  {
    $this->db->order_by('type ASC, name ASC');
    $outlets = $this->db->get_where('er_warehouse', ['status'=>0]);
    if ( ! ($outlets->num_rows() > 0)) return false;
    return $outlets->result_array();
  }

  function _get_supply($token) 
  {
    $this->db->where('customer !=', 'dd9b2ec5a0f5c8d0c1f7d7e91890e029');
    $supply = $this->db->get_where('er_sales', ['voucher'=>$token, 'status'=>0]);
    if ( ! ($supply->num_rows() > 0)) return false;
    return $supply->row();
  }

  function _get_payments($token) 
  {
    $this->_get_sum('er_supply', 'total', ['status'=>0]);
    $supply = $this->db->get_where('er_supply', ['voucher'=>$token, 'status'=>0]);
    if ( ! ($supply->num_rows() > 0)) return false;
    return $supply->row();
  }

  function _count()
  {
    return $this->db->count_all_results('er_lodgement');
  }

  function _put($params, $target) 
  {
    $this->db->where('token', $target);
    $user = $this->db->update('er_lodgement', $params);
    if ( ! $user) return false;
    return true;
  }

  function _post($data)
  {
    $hash = base64_encode(random_bytes(32).date('Hisa'));
    $hash = strtr($hash, '+/', '-_');
    $hash = rtrim($hash, '=');
    $last = $this->_count() + 1;
    $uuid = str_repeat('0', 3 - strlen($last)) . $last;
    $data['token'] = $hash;
    $data['done_by'] = $this->session->userdata('prosc_user');
    if ( ! $this->db->insert('er_lodgement', $data)) return false;
    return $data['token'];
  }

  function _drop($target)
  {
    $this->db->where('token', $target);
    $this->db->update('er_lodgement', ['status'=>'1']);
  }

  function _get_sum($table, $col, $filter='')
  {
    $this->db->select_sum($col);
    return $this->db->get_where($table, $filter)->row($col);
  }
}
