<?php
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Orders_model extends CI_Model
{

    function __construct()
    {
        parent::__construct();
    }

    function _get($params)
    {
        $this->db->where('status', 0);
        $user = $this->db->get_where('er_sales', $params);
        if (!($user->num_rows() > 0)) return false;
        return $user->row();
    }

    function _get_all()
    {
        // Get the sales records where type = 2 and status = 0
        $this->db->order_by('created_at', 'desc');
        $this->db->where(['type' => 2]);
        $query = $this->db->get_where('er_sales', ['status' => 0]);

        // Check if there are any results
        if (!($query->num_rows() > 0)) return false;

        // Fetch the result array
        $sales = $query->result_array();

        // Loop through the sales records to fetch the corresponding customer row
        foreach ($sales as &$sale) {
            $this->db->where('token', $sale['customer']);
            $customer = $this->db->get('er_customers')->row_array();

            // Add the customer data to the sale record
            $sale['customer_data'] = $customer ? $customer : null;
        }

        return $sales;
    }


    function _get_items()
    {
        $items = $this->db->get_where('er_online_warehouse', ['status' => 0]);
        if (!($items->num_rows() > 0)) return false;
        return $items->result_array();
    }

    function _get_customers()
    {
        $this->db->where(['type' => 2]);
        $customers = $this->db->get_where('er_customers', ['status' => 0]);
        if (!($customers->num_rows() > 0)) return false;
        return $customers->result_array();
    }

    function _update_inven($params, $target)
    {
        $this->db->where('token', $target);
        $user = $this->db->update('er_online_warehouse', $params);
        if (!$user) return false;
        return true;
    }

    function _put_status($params, $target)
    {
        $this->db->where('token', $target);
        $user = $this->db->update('er_sales', ['order_status' => $params]);
        if (!$user) return false;
        return true;
    }

    function _put($params, $target)
    {
        $this->db->where('token', $target);
        $user = $this->db->update('er_sales', $params);
        if (!$user) return false;
        return true;
    }

    function _count()
    {
        $this->db->where('type !=', '0');
        return $this->db->count_all_results('er_sales');
    }

    function _drop($target)
    {
        $this->db->where('token', $target);
        $this->db->update('er_admin', ['status' => '1']);
    }
}
