<?php
if (!defined('BASEPATH'))
  exit('No direct script access allowed');

class Outlet_model extends CI_Model
{

  function __construct()
  {
    parent::__construct();
  }

  function _get($params)
  {
    $this->db->where(['status' => 0, 'type' => 1]);
    $user = $this->db->get_where('er_warehouse', $params);
    if (! ($user->num_rows() > 0)) return false;
    return $user->row();
  }

  function _get_all($params = '')
  {
    if ($params != '') $this->db->where($params);
    $users = $this->db->get_where('er_warehouse', ['status' => 0, 'type' => 1]);
    if (! ($users->num_rows() > 0)) return false;
    return $users->result_array();
  }

  function _get_states()
  {
    $users = $this->db->get_where('er_nigeria_state', ['status' => 0]);
    if (! ($users->num_rows() > 0)) return false;
    return $users->result_array();
  }

  function _put($params, $target)
  {
    $this->db->where('token', $target);
    $user = $this->db->update('er_warehouse', $params);
    if (! $user) return false;
    return true;
  }

  function _count()
  {
    $this->db->where('type', 1);
    return $this->db->count_all_results('er_warehouse');
  }

  function _post($data)
  {
    $hash = base64_encode(random_bytes(32) . date('Hisa'));
    $hash = strtr($hash, '+/', '-_');
    $hash = rtrim($hash, '=');
    $last = $this->_count() + 1;
    $uuid = str_repeat('0', 3 - strlen($last)) . $last;
    $data['token'] = $hash;
    if (! $this->db->insert('er_warehouse', $data)) return false;
    return $data['token'];
  }

  function _drop($target)
  {
    $this->db->where('token', $target);
    $this->db->update('er_warehouse', ['status' => '1']);
  }
}
