<?php
if (!defined('BASEPATH'))
  exit('No direct script access allowed');

class Sales_model extends CI_Model
{

  function __construct()
  {
    parent::__construct();
  }

  function _get($params)
  {
    $this->db->where('status', 0);
    $user = $this->db->get_where('er_sales', $params);
    if (!($user->num_rows() > 0)) return false;
    return $user->row();
  }

  function _evaluate($item, $qty)
  {
    $outlet = $_SESSION['prosc_warehouse'];
    $this->db->select('SUM(quantity) AS quantity');
    $supply = $this->db->get_where('er_supply', ['item' => $item, 'outlet' => $outlet, 'status' => 0]);
    $this->db->select('SUM(quantity) AS quantity');
    $sales = $this->db->get_where('er_sales', ['item' => $item, 'warehouse' => $outlet, 'status' => 0]);
    if (!$supply->num_rows() > 1 or !$sales->num_rows() > 0) return false;

    $sub = $supply->row('quantity') - $sales->row('quantity');
    if ($sub < $qty) return false;

    return true;
  }

  function _get_keyed($token)
  {
    $this->db->where('status', 0);
    $sales = $this->db->get_where('er_sales', ['voucher' => $token]);
    if (!($sales->num_rows() > 0)) return false;
    return true;
  }

  function _get_total($token)
  {
    $this->db->where('status', 0);
    $this->db->select('SUM(total) AS sales, SUM(total_cost_price) AS costs');
    $sales = $this->db->get_where('er_sales', ['voucher' => $token]);
    if (!($sales->num_rows() > 0)) return 0;
    return $sales->row_array();
  }

  function _get_client($param)
  {
    if (!is_array($param)) $this->db->where('token', $param);
    else $this->db->where($param);

    $customer = $this->db->get('er_customers');
    if (!($customer->num_rows() > 0)) return false;
    return $customer->row();
  }

  function _get_clients()
  {
    // if (!isset($_SESSION['prosc_admin'])) $this->db->where('warehouse', $_SESSION['prosc_warehouse']);
    $this->db->order_by('id DESC');
    $outlets = $this->db->get_where('er_customers', ['status' => 0]);
    if (!($outlets->num_rows() > 0)) return false;
    return $outlets->result_array();
  }

  function _get_all($params = '')
  {
    if (!isset($_SESSION['prosc_admin'])) $this->db->where('warehouse', $_SESSION['prosc_warehouse']);

    if (is_array($params)) $this->db->where($params);
    // elseif ($params) 
    $this->db->order_by('voucher DESC');
    if ($this->session->userdata('prosc_sales_key') == '' && !isset($_SESSION['prosc_sales_x']))
      $this->db->group_by('voucher')->limit('100');

    if (isset($_SESSION['prosc_sales_x']))
      $this->db->where("`date` BETWEEN '" . $_SESSION['prosc_sales_x'] . "' AND '" . $_SESSION['prosc_sales_y'] . "'")->group_by('voucher');
    elseif (isset($_SESSION['prosc_sales_date']) or isset($_SESSION['prosc_sales_prepare_date']))
      $this->db->where('date', $_SESSION['prosc_sales_date'] ?? $_SESSION['prosc_sales_prepare_date']);

    $data = $this->db->get_where('er_sales', ['status' => 0, 'type' => 0]);
    if (!($data->num_rows() > 0)) return false;
    return $data->result_array();
  }

  function _get_all_returns($voucher)
  {
    $sale = $this->db->get_where('er_sales', ['status' => 0, 'token' => $voucher]);
    if (!$sale->num_rows() > 0) return false;
    $data = $this->db->get_where('er_returns', ['status' => 0, 'voucher' => $sale->row('voucher')]);
    $this->db->select('item, price');
    $sales = $this->db->get_where('er_sales', ['status' => 0, 'voucher' => $sale->row('voucher')]);
    if (!($sales->num_rows() > 0)) return [];
    foreach ($sales->result_array() as $row)
      $returns['items'][$row['item']] = $row;

    $returns['data'] = $data->result_array() ?? [];
    return $returns;
  }

  function _get_return_item($voucher, $item)
  {
    $sale = $this->db->get_where('er_sales', ['voucher' => $voucher, 'item' => $item, 'status' => 0]);
    $returns = $this->db->get_where('er_returns', ['voucher' => $voucher, 'item' => $item, 'status' => 0]);
    if (!$sale->num_rows() > 0) return false;
    $quantity = $sale->row('quantity');
    if ($returns->num_rows() > 0) {
      foreach ($returns->result_array() as $row) {
        $quantity -= $row['quantity'];
      }
    }

    return $quantity;
  }

  function _get_allx()
  {
    if (isset($_SESSION['prosc_sales_key'])) $this->db->where('voucher', $_SESSION['prosc_sales_key']);

    $this->db->order_by('voucher DESC');
    $sales = $this->db->get_where('er_sales', ['status' => 0]);
    if (!($sales->num_rows() > 0)) return false;
    return $sales->result_array();
  }

  function _get_sale($voucher)
  {
    $this->db->select('voucher, span, SUM(total) AS total, paid, date, customer')->group_by('voucher');
    $sale = $this->db->get_where('er_sales', ['voucher' => $voucher, 'status' => 0]);
    if (!$sale->num_rows() > 0) return [];
    return $sale->row_array();
  }

  function _get_sales($type, $outlet = '')
  {
    if (!isset($_SESSION['prosc_admin'])) $this->db->where('warehouse', $_SESSION['prosc_warehouse']);
    if (isset($_SESSION['prosc_sales_x'])) {
      $datey = date('Y-m-d H:i', strtotime('+1 day', strtotime($_SESSION['prosc_sales_y'])));
      $this->db->where("(`date` BETWEEN '" . $_SESSION['prosc_sales_x'] . "' AND '" . $datey . "')");
    } elseif (isset($_SESSION['prosc_sales_date']))
      $this->db->like('date', $_SESSION['prosc_sales_date']);
    else
      $this->db->like('date', date('Y-m-d'));

    $this->db->select('*, SUM(total) AS total');
    $this->db->group_by('voucher')->order_by('created_at DESC');
    $type = ($type == 3) ? 'type' : 'type !=';

    // $sales = $this->db->where(['type' => 1]);
    $sales = $this->db->get_where('er_sales', ['status' => 0, $type => 3]);
    if (!$sales->num_rows() > 0) return [];
    $sales_query = $sales->result_array();

    // Loop through the sales records to fetch the corresponding customer row
    foreach ($sales_query as &$sale) {
      $this->db->where('token', $sale['customer']);
      $customer = $this->db->get('er_customers')->row_array();

      // Add the customer data to the sale record
      $sale['customer_data'] = $customer ? $customer : null;
    }

    return $sales_query;
  }

  function _get_payments()
  {
    if (isset($_SESSION['prosc_sales_x'])) {
      $datey = date('Y-m-d H:i', strtotime('+1 day', strtotime($_SESSION['prosc_sales_y'])));
      $this->db->where("(`date` BETWEEN '" . $_SESSION['prosc_sales_x'] . "' AND '" . $datey . "')");
    } elseif (isset($_SESSION['prosc_sales_date']))
      $this->db->like('date', $_SESSION['prosc_sales_date']);
    else
      $this->db->like('date', date('Y-m-d'));

    $this->db->select('*, SUM(amount) AS amount');
    $this->db->group_by('supply_id');

    $pays = $this->db->get_where('er_payments', ['status' => 0]);
    if (!$pays->num_rows() > 0) return [];
    foreach ($pays->result_array() as $row)
      $data[$row['supply_id']] = $row['amount'];

    return $data;
  }

  // function _get_return()
  // {
  //   $this->db->group_by('voucher');
  //   $sales = $this->db->get_where('er_returns', ['status'=>0]);
  //   if ( ! $sales->num_rows() > 0) return [];
  //   $data = $customers = [];
  //   foreach ($sales->result_array() as $row) {
  //     $data[$row['id']] = $row;
  //     $customer = $row['customer'];
  //     if ( ! array_key_exists($customer, $customers)) {
  //       $customers[$customer] = $this->_get_client($customer);
  //     }
  //     $data[$row['id']]['customer_name'] = $customers[$customer]->name;
  //     $type = $customers[$customer]->type;
  //     $type = $type == 0 ? 'Special Client' : ($type == 1 ? 'Walk-in' : 'Online');
  //     $data[$row['id']]['customer_type'] = $type;
  //   }
  //   return $data;
  // }

  function _get_return()
  {
    $this->db->select('er_returns.voucher, er_returns.created_at, er_customers.name, er_sales.type, er_returns.token');
    $this->db->from('er_returns')->join('er_sales', 'er_returns.voucher = er_sales.voucher')->join('er_customers', 'er_sales.customer = er_customers.token');
    $this->db->group_by('er_returns.voucher');
    $this->db->where([
      'er_sales.type !=' => 2,
      'er_sales.status' => 0,
      'er_returns.status' => 0
    ]);
    $sales = $this->db->get();
    if (!$sales->num_rows() > 0) return [];
    return $sales->result_array();
  }

  function _get_states()
  {
    $users = $this->db->get_where('er_nigeria_state', ['status' => 0]);
    if (!($users->num_rows() > 0)) return false;
    return $users->result_array();
  }

  function _get_outlet($token)
  {
    $this->db->select('er_warehouse.name as name, er_admin.name as staff')->from('er_warehouse')
      ->join('er_admin', 'er_admin.warehouse = er_warehouse.token')->where(['er_warehouse.token' => $token]);
    $users = $this->db->get();
    if (!($users->num_rows() > 0)) return false;
    return $users->row_array();
  }

  function _get_sums()
  {
    $data = [];
    $this->db->select("voucher, SUM(total) as total");
    $this->db->group_by('voucher');
    if (!isset($_SESSION['prosc_admin'])) $this->db->where('warehouse', $_SESSION['prosc_warehouse']);
    $sql = $this->db->get_where('er_sales', ['status' => 0, 'type' => 0]);
    if ($sql->num_rows() > 0) {
      $result = $sql->result_array();
      foreach ($result as $row) {
        $data[$row['voucher']] = $row['total'];
      }
    }
    return $data;
  }
  function _get_sumx()
  {
    $data = [];
    $this->db->select("voucher, SUM(total) as total");
    $this->db->group_by('voucher');
    if (!isset($_SESSION['prosc_admin'])) $this->db->where('warehouse', $_SESSION['prosc_warehouse']);
    $sql = $this->db->get_where('er_sales', ['status' => 0, 'type !=' => 1]);
    if ($sql->num_rows() > 0) {
      $result = $sql->result_array();
      foreach ($result as $row) {
        $data[$row['voucher']] = $row['total'];
      }
    }
    return $data;
  }

  function _get_price($item, $state)
  {
    $items = $this->db->get_where('er_items', ['token' => $item]);
    if (!($items->num_rows() > 0)) return 0;
    $price = json_decode($items->row('price'), true);
    return $price[$state];
  }

  function _get_items()
  {
    $this->db->order_by('category ASC, name ASC');
    $items = $this->db->get_where('er_items', ['status' => 0]);
    if (!($items->num_rows() > 0)) return false;
    $items = $items->result_array();
    $item  = [];
    foreach ($items as $row) {
      $k = json_decode($row['price'], true) ?? [];
      $k = $k['a577f519b58b533e400cf28a7464576babf92121'] ?? [0, 0];
      $item[] = ['token' => $row['token'], 'name' => $row['name'], 'price' => number_format($k[0], 1), 'cost_price' => number_format($k[1], 1), 'category' => $row['category'], 'status' => $row['status']];
    }
    return $item;
  }

  function _get_cats()
  {
    $items = $this->db->get_where('er_categories', ['status' => 0]);
    if (!($items->num_rows() > 0)) return false;
    return $items->result_array();
  }

  function _get_stock()
  {
    $warehouse = $_SESSION['prosc_warehouse'];
    $this->db->select('SUM(quantity) AS quantity, item')->group_by('item');
    $supply = $this->db->get_where('er_supply', ['status' => 0, 'outlet' => $warehouse]);
    $this->db->select('SUM(quantity) AS quantity, item')->group_by('item');
    $sales  = $this->db->get_where('er_sales', ['status' => 0, 'warehouse' => $warehouse]);
    if (!($supply->num_rows() > 0)) return false;
    $data = [];
    foreach ($supply->result_array() as $row)
      $data[$row['item']] = $row['quantity'];

    if ($sales->num_rows() > 0) {
      foreach ($sales->result_array() as $row) {
        if (array_key_exists($row['item'], $data)) $data[$row['item']] = $data[$row['item']] - $row['quantity'];
      }
    }
    return $data;
  }

  function _close($data = [])
  {
    $data['save'] = '1';
    $data['order_status'] = 'Shipment Initialized';
    $data['order_confirmed'] = '1';
    $code = $_SESSION['prosc_sales_key'];
    $this->db->where(['voucher' => $code]);
    $this->db->update('er_sales', $data);
    return true;
  }

  function _put($params, $target, $table = 'sales')
  {
    $table = 'er_' . $table;
    if (is_array($target)) $this->db->where($target);
    else $this->db->where('token', $target);
    $user = $this->db->update($table, $params);
    if (!$user) return false;
    return true;
  }

  function _count($filter = '')
  {
    if (is_array($filter)) $this->db->where($filter);
    else $this->db->group_by('voucher');
    return $this->db->count_all_results('er_sales');
  }

  function _post($data, $table = 'sales')
  {
    $table = 'er_' . $table;
    $hash = base64_encode(random_bytes(32) . date('Hisa'));
    $hash = strtr($hash, '+/', '-_');
    $hash = rtrim($hash, '=');
    $data['token'] = $hash;
    if (!$this->db->insert($table, $data)) return false;
    return $data['token'];
  }

  function _drop($target, $col = 'token', $table = 'sales')
  {
    $table = 'er_' . $table;
    $this->db->where($col, $target);
    $this->db->update($table, ['status' => '1']);
  }
}
//
