<?php
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Shipping_model extends CI_Model
{

    function __construct()
    {
        parent::__construct();
    }

    function _get_sales($params, $return_all = false)
    {
        $this->db->where('status', 0);

        if ($return_all) {
            $user = $this->db->get_where('er_sales', ['order_status' => 'Shipment Initialized']);
            if (!($user->num_rows() > 0)) return false;
            $sales = $user->result_array();
            // Loop through the sales records to fetch the corresponding customer row
            foreach ($sales as &$sale) {
                $this->db->where('token', $sale['customer']);
                $customer = $this->db->get('er_customers')->row_array();

                // Add the customer data to the sale record
                $sale['customer_data'] = $customer ? $customer : null;
            }
            return $sales;
        } else {
            $user = $this->db->get_where('er_sales', $params);
            if (!($user->num_rows() > 0)) return false;
            return $user->row();
        }
    }

    function _get_sales_xtral($params)
    {
        $this->db->where('status', 0);
        $user = $this->db->get_where('er_sales_extra', $params);
        if (!($user->num_rows() > 0)) return false;
        return $user->row();
    }



    function _get_all()
    {
        $this->db->order_by('updated_at', 'desc');
        $users = $this->db->get_where('er_shipping', ['status' => 0]);
        if (!($users->num_rows() > 0)) return false;
        return $users->result_array();
    }

    function _get_outlets()
    {
        $outlets = $this->db->get_where('er_warehouse', ['status' => 0]);
        if (!($outlets->num_rows() > 0)) return false;
        return $outlets->result_array();
    }

    function _get_items()
    {
        $items = $this->db->get_where('er_online_warehouse', ['status' => 0]);
        if (!($items->num_rows() > 0)) return false;
        return $items->result_array();
    }

    function _get_customers()
    {
        // $this->db->where(['type' => 2]);
        $customers = $this->db->get_where('er_customers', ['status' => 0]);
        if (!($customers->num_rows() > 0)) return false;
        return $customers->result_array();
    }


    function _put_status($params, $target)
    {
        $this->db->where('token', $target);
        $user = $this->db->update('er_sales', ['order_status' => $params]);
        if (!$user) return false;
        return true;
    }

    function _put($params, $target)
    {
        $this->db->where('token', $target);
        $user = $this->db->update('er_shipping', $params);
        if (!$user) return false;
        return true;
    }

    function _post($data)
    {
        $hash = base64_encode(random_bytes(32) . date('Hisa'));
        $hash = strtr($hash, '+/', '-_');
        $hash = rtrim($hash, '=');
        $data['token'] = $hash;

        $this->db->where('token', $data['sales_id']);
        if (!$shippingStatus = $this->db->update('er_sales', ['order_status' => 'Shipment Created'])) return false;
        if (!$this->db->insert('er_shipping', $data)) return false;
        return $data['token'];
    }

    function _count()
    {
        $this->db->where('type !=', '0');
        return $this->db->count_all_results('er_sales');
    }

    function _drop($target)
    {
        $this->db->where('token', $target);
        $this->db->update('er_admin', ['status' => '1']);
    }
}
