<?php
if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Shipping_settings_model extends CI_Model
{

    function __construct()
    {
        parent::__construct();
    }

    function _get_country()
    {
        $this->db->where(['status' => 0]);
        $user = $this->db->get_where('er_settings', ['name' => 'country']);
        if (!($user->num_rows() > 0)) return false;
        return $user->row();
    }

    function _get_currency()
    {
        $this->db->where('status', 0);
        $setting = $this->db->get_where('er_settings', ['name' => 'currency']);
        if (! ($setting->num_rows() > 0)) return false;
        return $setting->row('value');
    }

    function _get_shipping_settings()
    {
        $shipping = $this->db->get_where('er_shipping_settings', ['status' => 0]);
        if (!$shipping->num_rows() > 0) return false;
        return $shipping->result_array();
    }

    function _get_nigeria()
    {
        $nigeria = $this->db->get_where('er_nigeria_state', ['status' => 0]);
        if (!$nigeria->num_rows() > 0) return false;
        return $nigeria->result_array();
    }

    function _get_uk()
    {
        $nigeria = $this->db->get_where('er_england_regions', ['status' => 0]);
        if (!$nigeria->num_rows() > 0) return false;
        return $nigeria->result_array();
    }

    function _regions($params)
    {
        $this->db->where('status', 0);
        $user = $this->db->get_where('er_shipping_settings', ['token' => $params]);
        if (!($user->num_rows() > 0)) return false;
        return $user->row();
    }
    function _get($params)
    {
        $this->db->where('status', 0);
        $user = $this->db->get_where('er_shipping_settings', $params);
        if (!($user->num_rows() > 0)) return false;
        return $user->row();
    }

    function _put($params, $target)
    {
        if (is_array($target)) $this->db->where($target);
        else $this->db->where('token', $target);
        $user = $this->db->update('er_shipping_settings', $params);
        if (!$user) return false;
        return true;
    }
    function _post($data)
    {
        $hash = base64_encode(random_bytes(32) . date('Hisa'));
        $hash = strtr($hash, '+/', '-_');
        $hash = rtrim($hash, '=');
        $data['token'] = $hash;
        if (!$this->db->insert('er_shipping_settings', $data)) return false;
        return $data['token'];
    }

    function _drop($target, $col = 'token')
    {
        $this->db->where($col, $target);
        $this->db->update('er_shipping_settings', ['status' => '1']);
    }
}
