<?php defined('BASEPATH') or exit('No direct script access allowed');
$sum_supply = $sum_expense = $sum_sales = $sum_total = 0;

$client = $outlet = $item = [];
foreach ($clients as $key) $client[$key['token']] = [$key['days'], $key['name']];
foreach ($items as $key) $item[$key['token']] = $key['name'];
foreach (json_decode($totals) as $key) $sum_total += $key;
foreach (json_decode($sales) as $key) $sum_sales += $key;
foreach (json_decode($expenses) as $key) $sum_expense += $key;
$chart = $_SESSION['chart_toggle'] ?? 'yearly';
$chart = ($chart == 'monthly') ? 'Monthly' : 'Yearly';

?>

<div class="container-fluid bg-white cast align-items-center mx-auto p-3 d-flex justify-content-between" style="width: calc(100% - 48px)">
  <h5 class="mb-0"><b>Hi <?= explode(' ', $this->session->userdata('prosc_name'))[0] ?>, </b>(<?= $outletX->name ? $outletX->name : 'Online warehouse staff' ?>)</h5>
  <div class="align-items-center d-none d-md-flex">
    <span class="px-2 text-nowrap">Time Period</span>
    <div class="dropdown">
      <button class="btn rounded dropdown-toggle btn-outline-supreme-2" data-bs-toggle="dropdown"><?= $chart; ?></button>
      <div class="dropdown-menu">
        <a href="javascript:void(0)" data-ref="<?= base_url('ipanel?chart_toggle=monthly'); ?>" class="sub-url dropdown-item">Monthly</a>
        <a href="javascript:void(0)" data-ref="<?= base_url('ipanel?chart_toggle=yearly'); ?>" class="sub-url dropdown-item">Yearly</a>
      </div>
    </div>
  </div>
</div>
<div class="container-fluid px-4">
  <div class="row py-3">
    <div class="col-md-4">
      <div class="save-pill cast" id="total" onclick="total()">
        <div class="line-text border-bottom">
          <span><i class="bi-cash"></i> TOTAL SALES </span>
          <!-- <i class="bi-three-dots-vertical"></i> -->
        </div>
        <div class="amount">
          <?php if ($currency == "GBP"): ?>
            <i class="bi bi-currency-pound"></i><?= number_format($sum_sales); ?>
          <?php else: ?>
            <span class="money"><?= number_format($sum_sales); ?></span>
          <?php endif; ?>
          <!-- <span class="tip text-danger"><i class="bi-chevron-down"></i>3%</span> -->
        </div>
      </div>
    </div>
    <div class="col-md-4">
      <div class="save-pill cast" id="xpense" onclick="expenses()">
        <div class="line-text border-bottom">
          <span><i class="bi-coin text-supreme"></i> EXPENSES</span>
          <!-- <i class="bi-three-dots-vertical"></i> -->
        </div>
        <div class="amount">
          <?php if ($currency == "GBP"): ?>
            <i class="bi bi-currency-pound"></i><?= number_format($sum_expense); ?>
          <?php else: ?>
            <span class="money"><?= number_format($sum_expense); ?></span>
          <?php endif; ?>
          <!-- <span class="tip text-success"><i class="bi-chevron-up"></i>3%</span> -->
        </div>
      </div>
    </div>
    <div class="col-md-4">
      <div class="save-pill cast">
        <div class="line-text border-bottom">
          <span><i class="bi-box-fill text-supreme"></i> PENDING ORDERS</span>
        </div>
        <div class="amount"><?= number_format($pending); ?></div>
      </div>
    </div>
  </div>
  <div class="row pb-3">
    <div class="col-md-9">
      <div class="container cast p-3 bg-white rounded">
        <h5 id="chart-title" class="p-3"><b>Total Sales</b></h5>
        <div style="height: 300px">
          <canvas id="chart"></canvas>
        </div>
      </div>
    </div>
    <div class="col-lg-3">
      <div class="container bg-white p-3 mb-3 rounded h-100 cast">
        <h5 class="d-flex justify-content-between align-items-center">
          <b>Sales Order </b>
        </h5>
        <?php if (count($orders) > 0) { ?>
          <?php foreach ($orders as $row) { ?>
            <div class="d-flex justify-content-between px-2 py-3 border-bottom">
              <div>
                <span><?= $row['voucher'] ?></span><br />
                <b><?= $row['customer_name'] ?></b>
              </div>
              <div class="text-end">
                <?php if ($currency == "GBP"): ?>
                  <i class="bi bi-currency-pound"></i><?= number_format($row['total']); ?>
                <?php else: ?>
                  <b class="money"><?= number_format($row['total']) ?></b><br />
                <?php endif; ?>


                <span><?= $row['customer_phone'] ?></span>
              </div>
            </div>
          <?php } ?>
        <?php
        } else {
        ?>
          <div class="p-5 text-center">
            <i class="bi-archive-fill bi-3x text-danger"></i><br><br>
            <span class="bi-2x">No data available</span>
          </div>
        <?php } ?>
      </div>
    </div>
  </div>
  <div class="container-fluid px-3 cast bg-white rounded">
    <h5 class="py-4"><b>Recent Sales</b></h5>
    <div class="table-responsive" style="min-height: 0">
      <table class="table table-hovers">
        <thead>
          <tr>
            <th>#</th>
            <th>Sales ID</th>
            <?php if ($row['customer_name']) : ?>
              <th>Recipient</th>
            <?php endif ?>
            <th>Product</th>
            <?php if ($currency == "GBP"): ?>
              <th width="60px" class="text-center">Amount (<i class="bi bi-currency-pound"></i> )</th>
            <?php else: ?>
              <th width="60px" class="text-center">Amount (₦ )</th>
            <?php endif; ?>

            <th>Date</th>
          </tr>
        </thead>
        <tbody>
          <?php
          $c = 0;
          foreach ($recent as $row) :
            $c++;
          ?>
            <tr>
              <td><?= $c; ?></td>
              <td><b><?= $row['voucher']; ?></b></td>
              <?php if ($row['customer_name']) : ?>
                <td><?= $row['customer_name'] ?></td>
              <?php endif ?>
              <td><?= $item[$row['item']]; ?></td>
              <td class="text-end text-nowrap"><?= number_format($row['total'], 2) ?></td>
              <td><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
            </tr>
          <?php endforeach ?>
          <?php if (count($recent) == 0) : ?>
            <tr>
              <td class="p-5 text-center" colspan="6"><em>No data available</em></td>
            </tr>
          <?php endif ?>
        </tbody>
      </table>
    </div>
  </div>
</div>
<style type="text/css">
  .bgs {
    background-color: transparent !important;
  }

  .cast {
    box-shadow: 0px 2px 10px 0px rgba(51, 51, 51, 0.05);
  }

  .line-text {
    font-weight: bold;
  }
</style>
<script type="text/javascript">
  let xpenses = <?= $expenses ?>;
  let totals = <?= $sales ?>;
  let sumsales = <?= $sum_sales ?>;
  let sumexpense = <?= $sum_expense ?>;
  let currency = '<?= $currency ?>';
</script>
<script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.3/dist/Chart.min.js"></script>
<script type="text/javascript" src="<?= base_url('assets/js/awe-stats2.js'); ?>" defer></script>