<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>

<?php if (is_array($sales)) {

  $psc = $this->session->userdata('prosc_online_sales_date');
  if ($psc) $psc = date('Y-m-d', strtotime($psc));
?>
  <div class="container-fluid banner">
    <div class="pb-2 crumb">
      <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
      <a href=" <?= base_url('ipanel/sales_prep.aspx?n=sales'); ?>">Sales</a><i class="ix ix-chevron"></i>
      <a href="<?= base_url('ipanel/online_sales.aspx'); ?>">Online Sales</a>
    </div>
    <div class="pb-2 ms-auto">
      <div class="btn-group bg-light rounded px-2">
        <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
        <a href="<?= base_url('filter/' . $page) ?>" class="btn" data-title="Filter" data-bs-toggle="modal" data-bs-target="#mModal"><i class="bi-filter"></i></a>
      </div>
    </div>
  </div>
  <?php if (!isset($_SESSION['prosc_sales_x'])): ?>
    <div class="container-fluid d-flex justify-content-end pb-0 pt-3 align-items-center ms-auto">
      <button class="btn btn-outline-supreme-2 pe-4 sub-url" data-ref="<?= base_url('navigate/online_sales/prev'); ?>"><i class="bi-chevron-left"></i> Prev</button>
      <button class="btn mx-3"><?= (date('Y-m-d') == $psc or $psc == '') ? 'Today' : date('d M, Y', strtotime($psc)); ?></button>
      <button class="btn btn-outline-supreme-2 ps-4 sub-url" data-ref="<?= base_url('navigate/online_sales/next'); ?>"
        <?= (date('Y-m-d') == $psc or $psc == '') ? 'disabled' : ''; ?>>Next <i class="ix ix-chevron"></i></button>
    </div>
  <?php else: ?>
    <div class="px-3 pt-3 text-end ms-auto">
      <button class="btn"><?= date('d M, Y', strtotime($_SESSION['prosc_sales_x'])) ?> &nbsp; - &nbsp; <?= date('d M, Y', strtotime($_SESSION['prosc_sales_y'])) ?>
    </div>
  <?php endif ?>

  <div class="container-fluid pt-3 mb-3 border-bottom">
    <a href="#activity" class="btn tab-toggle active">Sales Activity (<?= count($sales); ?>)</a>
    <a href="#returns" class="btn tab-toggle">Returns (<?= count($return); ?>)</a>
  </div>
  <div class="container-fluid tab-content">
    <div class="table-responsive tabX" id="activity">
      <table class="table table-hovers">
        <thead>
          <tr>
            <th width="20px">#</th>
            <th>Sales ID</th>
            <th>Customer Name</th>
            <th>Amount</th>
            <th>Date and Time</th>
            <th width="20px"></th>
          </tr>
        </thead>
        <tbody>
          <?php
          $c = $total = 0;
          foreach ($sales as $row) {
            $c++;
          ?>
            <tr>
              <td width="20px" class="text-end"><?= $c; ?></td>
              <td><b><?= $row['voucher']; ?></b></td>
              <td class="text-nowrap"><?= $row['name']; ?></td>
              <td class="text-nowrap">

                <?php if ($currency == "GBP"): ?>
                  <i class="bi bi-currency-pound"></i><?= number_format($row['total']); ?>
                <?php else: ?>
                  <span class="money"><?= number_format($row['total']); ?></span>
                <?php endif; ?>
              </td>
              <td class="text-nowrap"><?= date('d M, Y • h:i A', strtotime($row['date'])); ?></td>
              <td class="dropstart py-2 shrink">
                <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
                <div class="dropdown-menu dropdown-menu-end">
                  <!-- <a href="<?= base_url('ipanel/online_sales.aspx?action=open&target=' . $row['token']); ?>" class="dropdown-item"><i class="bi bi-clipboard-check"></i>Order status</a> -->
                  <a href="<?= base_url('ipanel/online_sales.aspx?action=open&target=' . $row['token']); ?>" class="dropdown-item"><i class="bi-eye-fill"></i>View details</a>
                  <a href="<?= base_url('ipanel/payment.aspx?voucher=' . $row['voucher']); ?>" class="dropdown-item"><i class="bi-cash"></i> Payment Tracking </a>
                  <a href="<?= base_url('generate/invoice.aspx?action=online_sales&target=' . $row['token']); ?>" class="dropdown-item"><i class="bi-clipboard2-check-fill"></i>Generate Receipt</a>
                </div>
              </td>
            </tr>
          <?php } ?>
          <?php if (count($sales) == 0) { ?>
            <tr>
              <td colspan="8" class="p-5 text-danger text-center">no data available</td>
            </tr>
          <?php } ?>
        </tbody>
      </table>
    </div>
    <div class="table-responsive tabX d-none" id="returns">
      <table class="table<?= (count($return) > 0) ? ' table-hovers' : ''; ?>">
        <thead>
          <tr>
            <th width="20px">#</th>
            <th class="text-start">Sales ID</th>
            <th class="text-start">Customer Name</th>
            <th width="60px">Date</th>
            <th width="20px"></th>
          </tr>
        </thead>
        <tbody>
          <?php
          $c = 0;
          foreach ($return as $row) {
            $c++;
          ?>
            <tr>
              <td width="20px" class="text-end"><?= $c; ?></td>
              <td><b><?= $row['voucher']; ?></b></td>
              <td class="text-nowrap"><?= $row['name']; ?></td>
              <td class="text-nowrap text-center"><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
              <td class="dropstart py-2">
                <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
                <div class="dropdown-menu dropdown-menu-end">
                  <a href="#" data-ref="<?= base_url('ipanel/put/online_sales?action=open&target=' . $row['token']); ?>" class="dropdown-item sub-url" title="Open online_sales Data"><i class="bi-plus-lg"></i> Add to stock</a>
                  <a href="<?= base_url('ipanel/drop/online_sales?voucher=' . $row['voucher']); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX">
                    <i class="bi-trash3-fill text-danger"></i> Remove unit
                    <span class="msg d-none">This operation will remove this unit from stock <br />Sure to continue?</span>
                  </a>
                </div>
              </td>
            </tr>
          <?php } ?>
          <?php if (count($return) == 0) { ?>
            <tr>
              <td colspan="8" class="p-5 text-danger text-center">no data available</td>
            </tr>
          <?php } ?>
        </tbody>
      </table>
    </div>
  </div>
<?php } ?>
<style type="text/css">
  .btn.tab-toggle {
    border: none;
  }

  .btn.tab-toggle.active {
    border-bottom: 2px solid #05941D !important;
    color: #05941D;
    border-radius: 0;
    font-weight: bold;
    transition: none !important;
  }
</style>
<script type="text/javascript">
  $('.tab-toggle').click(function(e) {
    e.preventDefault();

    if (!$(this).hasClass('active')) {
      $('.tabX').hide().removeClass('d-none');
      $($(this).attr('href')).fadeIn(400);
      $('.tab-toggle').removeClass('active');
      $(this).addClass('active');
    }
  });
</script>