<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { ?>
<div class="px-2 px-md-4 banner d-print-none">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <a href="javascript:void(0)">Supply</a><i class="ix ix-chevron"></i>
    <a href="javascript:void(0)">Supply Client</a><i class="ix ix-chevron"></i>
    <a href="javascript:void(0)">Payment Tracking</a>
  </div>
  <div class="pb-2 ms-auto">
    <a class="btn" id="download2x" onclick="window.print()">
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
        <path d="M19 9H15V3H9V9H5L12 17L19 9ZM4 19H20V21H4V19Z" fill="currentColor"/>
      </svg> Download Statement
    </a>
    <a href="<?= base_url('ipanel/pop/payment?supply='.$supply[0]['voucher']); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" 
     data-title="Add Payment"><i class="bi-plus-lg"></i> Add Payment</a>
  </div>
</div>
<div class="container-fluid pt-3 px-0">
  <div class="banner pb-3 px-md-4 my-2">
    <b>
      <div>VOUCHER: <?= $supply[0]['voucher'] ?></div>
      <div class="text-secondary">DATE: <?= date('d/m/Y', strtotime($supply[0]['date'])) ?></div>
    </b>
    <div class="text-secondary">
      <div>Total Supply Amount: <b class="text-dark"><?= number_format($balances['supply']) ?></b></div>
      <div>Total Amount Paid: <b class="text-dark"><?= number_format($balances['payment']) ?></b> &nbsp; &nbsp; 
        Balance Due: <b class="text-dark"><?= number_format(abs($balances['supply'] - $balances['payment'])) ?></b></div>
    </div>
  </div>
  <div class="bg-secondary text-white p-3 mb-2" style="border-bottom: 1px dashed;">Payment Tracker</div>
  <div class="table-responsive text-nowrap px-md-4 mb-3" style="min-height: initial;">
    <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
      <thead>
        <tr>
          <th>Payment ID</th>
          <th>Payment Date</th>
          <th>Amount</th>
          <th>Status</th>
          <th class="text-center d-print-none" width="20px"></th>
        </tr>
      </thead>
      <tbody id="drop-off">
    <?php
      $c = 0;
      foreach ($data as $row) { 
        $c++;
    ?>
        <tr>
          <td><?= $row['pid']; ?></td>
          <td><?= date('d/m/Y', strtotime($row['date'])); ?></td>
          <td><?= number_format($row['amount']); ?></td>
          <td class="text-<?= ($row['paid'] == 0) ? 'danger' : 'supreme' ?>"><?= ($row['paid'] == 0) ? 'Pending' : 'Paid'; ?></td>
        <?php if ($row['done_by'] != ''): ?>
          <td class="dropstart py-1 d-print-none">
            <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
            <div class="dropdown-menu">
              <a href="<?= base_url('ipanel/pop/payment?supply='. $row['supply_id'] .'&token='. $row['token']); ?>" class="dropdown-item" 
                data-bs-toggle="modal" data-bs-target="#mModal" data-title="Edit Payment Details"><i class="bi-pencil-square"></i> Edit</a>
              <a href="<?= base_url('ipanel/drop/payment?token='.$row['token']); ?>" class="dropdown-item text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
                <i class="bi-trash3-fill"></i> Delete
                <span class="msg d-none">This operation will remove payment with details at row: <b><?= $c; ?></b> from the system<br />Sure to continue?</span>
              </a>
            </div>
          </td>
        <?php else: ?>
          <td class="text-center text-secondary text-sm">Secured by paystack</td>
        <?php endif ?>
        </tr>
    <?php } ?>
    <?php if (count($data) == 0) { ?>
        <tr><td colspan="9" class="p-5 text-danger text-center">no data available</td></tr>
    <?php } ?>
      </tbody>
    </table>
  </div>
  <div class="accordion px-md-4">
    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-controls="collapseOne">
          Supply Details
        </button>
      </h2>
      <div id="collapseOne" class="accordion-collapse">
        <div class="accordion-body bg-white">
          <table class="table">
            <thead>
              <tr class="text-nowrap">
                <th width="20px">#</th>
                <th>Item Name</th>
                <th>Category</th>
                <th>Quantity</th>
                <th width="60px">Amount Total</th>
              </tr>
            </thead>
            <tbody>
          <?php $c = 0; ?>
          <?php foreach ($supply as $row): $c++; ?>
              <tr>
                <td><?= $c; ?></td>
                <td class="text-nowrap text-start"><?= $items[$row['item']]; ?></td>
                <td><span class="money"><?= number_format($row['price'],2); ?></span></td>
                <td><?= number_format($row['quantity'],0); ?></td>
                <td class="text-end"><span class="money"><?= number_format(($row['price'] * $row['quantity']), 2); ?></span></td>
              </tr>
          <?php endforeach ?>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<?php } ?>
