<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php $this->load->helper('cookie'); ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" type="text/css" href="<?= base_url('assets/toaster/toast.style.min.css'); ?>">
  <link rel="icon" type="image" href="<?= base_url('assets/images/favicon.png'); ?>" />
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">
  <link rel="stylesheet" href="<?= base_url('assets/css/login.css') ?>">
  <script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
  <script type="text/javascript" src="<?= base_url('assets/toaster/toast.script.js') ?>" defer></script>
  <script type="text/javascript" src="<?= base_url('assets/js/login.js') ?>" defer></script>
  <title>Xcel - Login</title>
</head>

<body data-theme="<?= get_cookie('xcel_theme') ?? 'light' ?>">
  <!-- <div class="snowflakes" aria-hidden="true">
    <div class="snowflake size3">❅</div>
    <div class="snowflake size1">❆</div>
    <div class="snowflake size2">❅</div>
    <div class="snowflake size3">❆</div>
    <div class="snowflake size4">❅</div>
    <div class="snowflake size5">❆</div>
    <div class="snowflake size1">❅</div>
    <div class="snowflake size1">❆</div>
    <div class="snowflake size2">❅</div>
    <div class="snowflake size3">❆</div>
    <div class="snowflake size4">❅</div>
    <div class="snowflake size5">❆</div>
  </div> -->
  <div id="overlay"></div>
  <div id="feed"><img src="<?= base_url('assets/images/bg1.png') ?>" /></div>
  <div class="d-flex justify-content-center align-items-center position-absolute" style="top: 0; bottom: 0; left: 0; right: 0;">
    <div class="container cast rounded py-5 bg-white" style="max-width: 480px;">
      <div class="group" style="padding: 2em; margin: 0; text-align: center;">
        <object data="<?= base_url('/assets/images/logo.png') ?>" height="100px"></object>
      </div>
      <div class="container">
        <?= form_open('login', ['class' => 'myForm', 'id' => 'myForm', 'autocomplete' => 'off']); ?>
        <div class="form-group mb-4"><input type="text" class="form-control" name="miuser" placeholder="Username" required /></div>
        <div class="form-group position-relative mb-3">
          <input type="password" class="form-control" id="pass" name="mipass" placeholder="Password" required />
          <span class="d-block toggle" style="position: absolute; top: 0; right: 0; bottom: 0; padding: .9rem;"><i class="bi-eye" id="icon"></i></span>
        </div>
        <div style="display: flex; justify-content: space-between; align-items: center;">
          <div class="form-check">
            <input type="checkbox" id="c1" class="form-check-input" name="cache" />
            <label class="form-check-label" for="c1">Remember me</label>
          </div>
          <a href="<?= base_url('?k=forgot_password') ?>" class="btn text-supreme">Forgot Password ?</a>
        </div>
        <div class="form-group mb-3 py-3">
          <i class=""></i>
          <button class="btn btn-supreme" id="submit" style="width: 100%!important;" data-ref="<?= base_url('signin') ?>">Log in</button>
        </div>
        <?= form_close(); ?>
        <span class="d-none" id="base"><?= base_url() ?></span>
      </div>
    </div>
  </div>
</body>

</html>