<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="<?= base_url('assets/toaster/toast.style.min.css'); ?>">
<link rel="icon" type="image" href="<?= base_url('assets/images/favicon.png'); ?>" />
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">
<script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
<script type="text/javascript" src="<?= base_url('assets/toaster/toast.script.js') ?>" defer></script>
<script type="text/javascript" src="<?= base_url('assets/js/login.js') ?>" defer></script>
<style>
  @import url('https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:wght@500&display=swap');
  * {
    font-family: 'Plus Jakarta Sans', sans-serif;
    margin: 0; padding: 0;
    box-sizing: border-box;
  }
  html, body {
    width: 100%;
    height: 100%;
    overflow: auto;
  }
  .btn-supreme, .btn-supreme:hover, .btn-supreme:focus {
    background-color: #B8541B;
    color: #fff!important;
  }
  .btn-supreme:hover, .btn-supreme:focus, .btn-supreme:disabled, .btn-supreme:active {
    background-color: #A8440B!important;
  }
  .text-supreme {
    color: #C8642B;
  }
  input.form-control {
    padding: 12px;
  }
  @media screen and (min-width: 768px) {
    input.form-control {
      font-size: 1.3rem;
      padding: 16px 24px;
    }
  }
</style>
<title>SCAP - Password Reset</title>
</head>
<body>
  
<div id="overlay"></div>
<div class="mx-3 pt-md-3 mx-md-4">
  <h1 class="p-3 py-5 p-md-5">Password Reset </h1>
  <div class="container cast rounded py-md-5" style="max-width: 600px;">
    <div class="container">
    <?= form_open('password_reset', ['class'=>'myForm', 'id'=>'myForm', 'autocomplete'=>'off']); ?>
    <?php if ( ! in_array($this->session->userdata('page'), ['code', 'password'])): ?>
      <div class="form-group mb-3"><input type="email" class="form-control" name="mimail" placeholder="Registered Email" required/></div>
      <div class="form-group mb-3 text-center">
        <button class="btn btn-supreme p-3" id="submit" data-ref="<?= base_url('?k=forgot_password&action=email') ?>">Send Reset Email</button>
      </div>
    <?php elseif ($this->session->userdata('page') == 'code'): ?>
      <h6>Enter the one-time code that was sent to your mailbox: <i><b><?= $this->session->userdata('mail'); ?></b></i></h6>
      <div class="form-group my-3"><input type="text" minlength="6" maxlength="6" class="form-control text-center" name="micode" placeholder="* * * * * *" required/></div>
      <div class="form-group mb-3 text-center">
        <button class="btn btn-supreme p-3" id="submit" data-ref="<?= base_url('?k=forgot_password&action=code') ?>">Verify</button>
      </div>
      <div class="p-5 text-center">Didn't receive a mail yet! &nbsp; &nbsp; <span id="timer" class="visual">Resend in 60 seconds</span><a class="d-none visual" href="<?= base_url('?k=forgot_password&action=email') ?>">Resend mail</a></div>
    <?php else: ?>
      <h4 class="text-success mb-5 text-center">Verification Successful</h4>
      <div class="form-group mb-3">
        <input type="password" class="form-control" name="p1" placeholder="Enter New Password" />
      </div>
      <div class="form-group mb-3">
        <input type="password" class="form-control" name="p2" placeholder="Confirm New Password" />
      </div>
      <div class="form-group mb-3 text-center">
        <button class="btn btn-supreme p-3" id="submit" data-ref="<?= base_url('?k=forgot_password&action=password') ?>">Change Password</button>
      </div>
    <?php endif ?>
    <?= form_close(); ?>
    </div>
  </div>
</div>
<?php if ($this->session->userdata('page') == 'code'): ?>
<script type="text/javascript">
  time = 5;

  let cout = setInterval(function() {
    time--;
    if (time < 1) {
      clearInterval(cout);
      $('.visual').toggleClass('d-none');
    }
    $('#timer').text(`Resend in ${time} seconds`);
  }, 1050);

  $('a').click(function(e) {
    e.preventDefault();
    var me = $(this);
    me.addClass('in').prop('disabled', true);

    $.get($(this).attr('href'), function(res){
      res = JSON.parse(res);
      if (!res.hasOwnProperty('status') || !res.hasOwnProperty('message')) {
        me.removeClass('in').prop('disabled', false);
        return;
      }
      if (res.status == 'success') location.reload();
      res.status = res.status || 'error';
      let status = res.status.charAt(0).toUpperCase() + res.status.slice(1);
      toast(res.status, status, res.message);
    });
  })
</script>
<?php endif ?>
</body>
</html>
