<?php if (!isset($data)) exit('');
$row = [];
?>

<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<!DOCTYPE html>
<html lang="en">
<meta charset="utf-8">
<link rel="icon" type="image" href="<?= base_url('assets/images/favicon.png'); ?>" />
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
<link rel="stylesheet" href="<?= base_url('assets/css/receipt.css'); ?>" />
<script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
<title><?= ucwords($title) ?> | Xcel</title>
<style>
  .receipt {
    width: 100mm;
    max-height: auto;
    margin: auto;
    font-size: 12px;
    page-break-inside: avoid;
    padding: 10px;
    background-color: white;
  }

  .text-center {
    text-align: center;
  }

  .border-bottom-dotted {
    border-bottom: 1px dotted #000;
  }

  @media print {
    body {
      margin: 0;
      padding: 0;
    }

    .receipt {
      margin: 0;
      /* Remove margin for print */
      padding: 10px;
      /* Adjust padding for print */
    }
  }
</style>
</head>

<body>
  <div>
    <button onclick="printReceipt()" class="btn btn-primary">Print Receipt</button>
    <div class="receipt p-4">
      <div class="text-center" style="margin-top: 10px">
        <div class="container position-relative" style="height: 80px; overflow: hidden; margin-bottom: 10px">
          <object data="<?= base_url('/assets/images/logo.png') ?>" height="100%"></object>
        </div>

        <p>
          <?php
          $formattedDate = date("F j, Y, g:i A", strtotime($data[0]["created_at"]));
          echo $formattedDate;
          ?>
        </p>


      </div>
      <div class="d-flex flex-column gap-4">
        <div class="border-bottom-dotted d-flex justify-content-between">
          <p class="fw-bold">Payment type</p>
          <p><?= $data[0]["payment_method"] ?></p>
        </div>

        <div class="border-bottom-dotted d-flex flex-column gap-2">
          <div class="d-flex justify-content-between">
            <p class="fw-bold">Customer name</p>
            <p>________________</p>
          </div>
          <div class="d-flex justify-content-between">
            <p class="fw-bold">Address</p>
            <div><?= $settings['address'] ?></div>
          </div>
        </div>

        <div class="border-bottom-dotted d-flex justify-content-between">
          <p class="fw-bold">Miter number</p>
          <p>0078765786</p>
        </div>
        <div class="d-flex justify-content-between">
          <p class="fw-bold">Item</p>
          <p class="fw-bold">Amount</p>
        </div>
        <div class="border-bottom-dotted d-flex justify-content-between flex-column">

          <?php
          $total = 0;
          foreach ($data as $row):
            $total += $row["price"] * $row["quantity"];
          ?>
            <span class="d-flex justify-content-between">
              <p><?= $row["item_name"] ?> x <?= $row["quantity"] ?></p>
              <p>
                <?php if ($currency == "GBP"): ?>
                  <span>£ </span> <?= number_format($row["total"]) ?>
                <?php else: ?>
                  <span class="money"> <?= number_format($row["total"]) ?></span>
                <?php endif; ?>
              </p>
            </span>

          <?php endforeach; ?>

        </div>
        <div class=" border-bottom-dotted d-flex flex-column gap-1">
          <div class="d-flex justify-content-between">
            <p class="fw-bold">Sub total</p>
            <p>
              <?php if ($currency == "GBP"): ?>
                <span>£ </span> <?= number_format($total) ?>
              <?php else: ?>
                <span class="money"> <?= number_format($total) ?></span>
              <?php endif; ?>

            </p>
          </div>
          <div class="d-flex justify-content-between">
            <p class="fw-bold">Tax</p>
            <p>
              <?php if ($currency == "GBP"): ?>
                <span>£ </span> <?= number_format(($settings['vat'] * $total) / 100, 2); ?>
              <?php else: ?>
                <span class="money"> <?= number_format(($settings['vat'] * $total) / 100, 2); ?></span>
              <?php endif; ?>


            </p>
          </div>
          <?php $grand = ($settings['vat'] * $total / 100) + $total; ?>
          <div class="d-flex justify-content-between">
            <p class="fw-bold">Total</p>
            <p>
              <?php if ($currency == "GBP"): ?>
                <span>£ </span><?= number_format($grand, 2); ?>
              <?php else: ?>
                <span class="money"> <?= number_format($grand, 2); ?></span>
              <?php endif; ?>


            </p>
          </div>
        </div>

        <div class="d-flex justify-content-between">
          <p class="fw-bold">Operator</p>
          <p><?= $data[0]["operator_name"] ?></p>
        </div>
        <p class="text-center">Thanks for fueling our passion. Drop by again, if your wallet isn't still sulking. You're always welcome here!</p>
        <div class="d-flex justify-content-center align-items-center">
          <object data="<?= base_url('/assets/images/acme.png') ?>" height="100px" width="170px"></object>
        </div>

      </div>
    </div>
    <script type=" text/javascript" src="<?= base_url('assets/js/html2canvas.min.js') ?>">
    </script>
    <script>
      function printReceipt() {
        // Get the receipt div content
        const receiptContent = document.querySelector('.receipt').outerHTML;

        // Create a new window
        const printWindow = window.open('', '_blank', 'width=1000,height=800');

        // Write the content to the new window
        printWindow.document.open();
        printWindow.document.write(`
      <!DOCTYPE html>
      <html lang="en">
      <head>
        <meta charset="UTF-8">
        <title>Receipt</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
        <style>
          .receipt {
            width: 79.5mm;
            max-height: auto;
            page-break-inside: avoid;
            margin: 0;
            font-size: 12px;
            padding: 10px;
            background-color: white;
        }

        .text-center {
          text-align: center;
        }

        .border-bottom-dotted {
          border-bottom: 1px dotted #000;
        }

        @media print {
          body {
            margin: 0;
            padding: 0;
          }

          .receipt {
            margin: 0;
            /* Remove margin for print */
            padding: 10px;
            /* Adjust padding for print */
          }
        }
        </style>
      </head>
      <body onload="window.print();window.close();">
        ${receiptContent}
      </body>
      </html>
    `);
        printWindow.document.close();
      }
    </script>
  </div>
</body>


</html>